/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_ARENA_LARGE_SKEL_H__
#define __VERIFIER_ARENA_LARGE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_arena_large {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *arena;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *big_alloc1;
		struct bpf_program *big_alloc2;
	} progs;
	struct {
		struct bpf_link *big_alloc1;
		struct bpf_link *big_alloc2;
	} links;
	struct verifier_arena_large__arena {
		__u8 *page[100];
	} *arena;
	struct verifier_arena_large__bss {
		__u8 *base;
	} *bss;

#ifdef __cplusplus
	static inline struct verifier_arena_large *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_arena_large *open_and_load();
	static inline int load(struct verifier_arena_large *skel);
	static inline int attach(struct verifier_arena_large *skel);
	static inline void detach(struct verifier_arena_large *skel);
	static inline void destroy(struct verifier_arena_large *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_arena_large__destroy(struct verifier_arena_large *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_arena_large__create_skeleton(struct verifier_arena_large *obj);

static inline struct verifier_arena_large *
verifier_arena_large__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_arena_large *obj;
	int err;

	obj = (struct verifier_arena_large *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_arena_large__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_arena_large__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_arena_large *
verifier_arena_large__open(void)
{
	return verifier_arena_large__open_opts(NULL);
}

static inline int
verifier_arena_large__load(struct verifier_arena_large *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_arena_large *
verifier_arena_large__open_and_load(void)
{
	struct verifier_arena_large *obj;
	int err;

	obj = verifier_arena_large__open();
	if (!obj)
		return NULL;
	err = verifier_arena_large__load(obj);
	if (err) {
		verifier_arena_large__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_arena_large__attach(struct verifier_arena_large *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_arena_large__detach(struct verifier_arena_large *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_arena_large__elf_bytes(size_t *sz);

static inline int
verifier_arena_large__create_skeleton(struct verifier_arena_large *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_arena_large";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "arena";
	map->map = &obj->maps.arena;
	map->mmaped = (void **)&obj->arena;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "verifier.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "big_alloc1";
	s->progs[0].prog = &obj->progs.big_alloc1;
	s->progs[0].link = &obj->links.big_alloc1;

	s->progs[1].name = "big_alloc2";
	s->progs[1].prog = &obj->progs.big_alloc2;
	s->progs[1].link = &obj->links.big_alloc2;

	s->data = verifier_arena_large__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_arena_large__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x22\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\
\x73\0\x2e\x61\x64\x64\x72\x5f\x73\x70\x61\x63\x65\x2e\x31\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x61\x72\x65\x6e\x61\x5f\x6c\
\x61\x72\x67\x65\x2e\x63\0\x4c\x42\x42\x31\x5f\x31\x31\0\x4c\x42\x42\x32\x5f\
\x36\0\x4c\x42\x42\x32\x5f\x31\x31\0\x4c\x42\x42\x32\x5f\x31\x36\0\x62\x69\x67\
\x5f\x61\x6c\x6c\x6f\x63\x31\0\x61\x72\x65\x6e\x61\0\x62\x70\x66\x5f\x61\x72\
\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\0\x62\x70\x66\x5f\
\x61\x72\x65\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\0\x61\x6c\x6c\
\x6f\x63\x5f\x70\x61\x67\x65\x73\0\x70\x61\x67\x65\0\x62\x61\x73\x65\0\x62\x69\
\x67\x5f\x61\x6c\x6c\x6f\x63\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\0\0\x03\0\x98\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x5f\0\0\0\0\0\x04\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\0\0\x04\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\0\0\x04\0\xb8\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x76\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x81\0\
\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x87\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb2\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\xbe\0\0\0\x11\0\x07\
\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\xc3\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xc8\0\0\0\x12\0\x04\0\xb0\x02\0\0\0\0\0\0\x98\x03\0\0\0\0\0\
\0\xd3\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x63\x5a\xf8\xff\0\0\
\0\0\x63\x4a\xe0\xff\0\0\0\0\x63\x3a\xe8\xff\0\0\0\0\x63\x2a\xf0\xff\0\0\0\0\
\xbc\x17\0\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\xc6\x07\x2c\0\x01\0\0\0\xb4\x08\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x19\x01\0\x01\0\0\0\x61\xa6\xf8\
\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x61\xa3\
\xf0\xff\0\0\0\0\xb4\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x15\0\x1f\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\
\x12\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x1f\x21\0\0\0\0\0\0\x77\x01\0\0\x0c\0\0\0\
\x61\xa2\xe8\xff\0\0\0\0\x16\x02\x04\0\0\0\0\0\x1e\x18\x0b\0\0\0\0\0\x61\xa6\
\xf8\xff\0\0\0\0\x04\x06\0\0\x64\0\0\0\x05\0\x13\0\0\0\0\0\x61\xa2\xe0\xff\0\0\
\0\0\xde\x12\x03\0\0\0\0\0\xbc\x12\0\0\0\0\0\0\x54\x02\0\0\x01\0\0\0\x16\x02\
\x03\0\0\0\0\0\x61\xa6\xf8\xff\0\0\0\0\x04\x06\0\0\xc8\0\0\0\x05\0\x0b\0\0\0\0\
\0\xbf\x02\x01\0\x01\0\0\0\x73\x12\0\0\0\0\0\0\xbf\x11\x20\0\0\0\0\0\x67\x01\0\
\0\x03\0\0\0\xbf\x92\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x02\0\0\0\0\0\0\xb4\
\x06\0\0\0\0\0\0\xe5\0\x02\0\0\0\0\0\x04\x08\0\0\x01\0\0\0\xce\x78\xd8\xff\0\0\
\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\
\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\
\0\0\0\x15\x06\x4a\0\0\0\0\0\xbf\x68\x01\0\x01\0\0\0\x72\x08\0\0\x01\0\0\0\x18\
\x01\0\0\0\xe0\xff\xff\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\xff\xff\
\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\0\x02\0\0\0\
\x15\0\x3c\0\0\0\0\0\xbf\x09\x01\0\x01\0\0\0\x72\x09\0\0\x02\0\0\0\x18\x01\0\0\
\0\xf0\xff\xff\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\xff\xff\xff\xff\
\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\0\x03\0\0\0\x55\0\
\x2e\0\0\0\0\0\xb4\x07\0\0\x04\0\0\0\x71\x81\0\0\0\0\0\0\x56\x01\x2b\0\x01\0\0\
\0\xb4\x07\0\0\x05\0\0\0\x71\x91\0\0\0\0\0\0\x56\x01\x28\0\x02\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x85\x10\0\
\0\xff\xff\xff\xff\xb4\x07\0\0\x06\0\0\0\x71\x91\0\0\0\0\0\0\x56\x01\x20\0\x02\
\0\0\0\xb4\x07\0\0\x07\0\0\0\x71\x81\0\0\0\0\0\0\x56\x01\x1d\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\
\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\
\0\x08\0\0\0\x15\0\x14\0\0\0\0\0\xbf\x01\x01\0\x01\0\0\0\x72\x01\0\0\x03\0\0\0\
\xb4\x07\0\0\x09\0\0\0\x5d\x06\x10\0\0\0\0\0\xb4\x07\0\0\x0a\0\0\0\x71\x91\0\0\
\0\0\0\0\x56\x01\x0d\0\x02\0\0\0\xb4\x07\0\0\x0b\0\0\0\x71\x81\0\x10\0\0\0\0\
\x56\x01\x0a\0\0\0\0\0\xb4\x07\0\0\x0c\0\0\0\x71\x81\0\xf0\0\0\0\0\x56\x01\x07\
\0\0\0\0\0\xb4\x07\0\0\x0d\0\0\0\x71\x91\0\x10\0\0\0\0\x56\x01\x04\0\0\0\0\0\
\x71\x91\0\xf0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x16\x01\x01\0\0\0\0\0\xb4\x07\0\0\
\x0e\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x06\0\0\x01\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\
\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x15\0\x65\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb4\x01\0\0\x64\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x01\0\
\0\0\xb4\x04\0\0\x64\0\0\0\xb4\x05\0\0\x02\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xbc\x06\0\0\0\0\0\0\x56\x06\x58\0\0\0\0\0\xb7\x07\0\0\xfe\xff\xff\xff\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x18\x01\0\x01\0\0\0\xb4\x06\0\0\x03\0\0\0\xbf\
\x71\0\0\0\0\0\0\x07\x01\0\0\x02\0\0\0\x79\x82\0\0\0\0\0\0\xbf\x23\x01\0\x01\0\
\0\0\x71\x33\0\0\0\0\0\0\x5d\x31\x4d\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb4\x03\0\0\x01\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x7a\x08\0\0\0\0\0\0\xe5\
\0\x03\0\0\0\0\0\x07\x08\0\0\x10\0\0\0\x07\x07\0\0\x02\0\0\0\xa5\x07\xf1\xff\
\x62\0\0\0\xb4\x01\0\0\x32\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\0\0\0\0\xb4\
\x04\0\0\x64\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x06\0\
\0\0\0\0\0\x56\x06\x3c\0\0\0\0\0\xb7\x07\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xbf\x18\x01\0\x01\0\0\0\xb4\x06\0\0\x05\0\0\0\xbf\x71\0\0\0\
\0\0\0\x07\x01\0\0\x04\0\0\0\x79\x82\0\0\0\0\0\0\xbf\x23\x01\0\x01\0\0\0\x71\
\x33\0\0\0\0\0\0\x5d\x31\x31\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x03\0\0\x02\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x7a\x08\x08\0\0\0\0\0\x7a\x08\0\
\0\0\0\0\0\xe5\0\x03\0\0\0\0\0\x07\x08\0\0\x20\0\0\0\x07\x07\0\0\x04\0\0\0\xa5\
\x07\xf0\xff\x60\0\0\0\xb4\x01\0\0\x19\0\0\0\xb4\x02\0\0\x02\0\0\0\xb4\x03\0\0\
\0\0\0\0\xb4\x04\0\0\x64\0\0\0\xb4\x05\0\0\x06\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xbc\x06\0\0\0\0\0\0\x56\x06\x1f\0\0\0\0\0\xb7\x01\0\0\xfe\xff\xff\xff\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x22\x01\0\x01\0\0\0\xb4\x06\0\0\x07\0\0\0\
\xbf\x13\0\0\0\0\0\0\x07\x03\0\0\x02\0\0\0\x79\x24\0\0\0\0\0\0\xbf\x44\x01\0\
\x01\0\0\0\x71\x44\0\0\0\0\0\0\x5d\x43\x14\0\0\0\0\0\xe5\0\x03\0\0\0\0\0\x07\
\x02\0\0\x10\0\0\0\x07\x01\0\0\x02\0\0\0\xa5\x01\xf6\xff\x62\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\
\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x06\0\0\
\x08\0\0\0\x15\0\x07\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\
\0\0\0\0\x1f\x10\0\0\0\0\0\0\xb4\x06\0\0\x09\0\0\0\xc5\0\x01\0\0\x40\x06\0\xb4\
\x06\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x09\
\0\0\0\x90\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\
\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\
\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xa8\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\
\xf0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x18\x01\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\
\x60\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x80\x01\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\
\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xe8\x01\0\0\0\0\0\0\x0a\0\0\0\x0a\0\
\0\0\xb8\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xe8\x02\0\0\0\0\0\0\x0a\0\0\0\x0a\
\0\0\0\xf0\x02\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x10\x03\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\x30\x03\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x60\x03\0\0\0\0\0\0\x0a\0\0\
\0\x0c\0\0\0\x80\x03\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xd0\x03\0\0\0\0\0\0\x01\0\
\0\0\x09\0\0\0\xe8\x03\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x40\x04\0\0\0\0\0\0\x0a\
\0\0\0\x0c\0\0\0\x60\x04\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xb0\x04\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\xc8\x04\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x28\x05\0\0\0\0\0\
\0\x0a\0\0\0\x0c\0\0\0\x48\x05\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xb8\x05\0\0\0\0\
\0\0\x01\0\0\0\x09\0\0\0\xe8\x05\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\0\x06\0\0\0\0\
\0\0\x01\0\0\0\x0e\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x64\x03\0\0\x64\x03\0\
\0\x1d\x09\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x21\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\x10\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\
\x34\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\
\0\0\x0d\x02\0\0\0\x3a\0\0\0\x0b\0\0\0\x3e\0\0\0\x01\0\0\x0c\x0c\0\0\0\x49\0\0\
\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x65\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\
\xff\xff\0\0\0\0\x05\0\0\x0d\x0b\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x0b\0\0\0\0\0\
\0\0\x11\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x13\0\0\0\x7b\0\0\0\0\0\0\x08\x12\0\0\
\0\x81\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x8e\0\0\0\0\0\0\x08\x14\0\0\0\x94\0\
\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xa7\0\0\0\x02\0\0\x0c\x10\0\0\0\0\0\0\0\x03\
\0\0\x0d\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x11\0\0\0\xbd\0\0\
\0\x02\0\0\x0c\x16\0\0\0\xd2\0\0\0\0\0\0\x08\x19\0\0\0\xd7\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x04\0\0\0\0\x05\0\0\x0d\x02\0\0\0\xdd\0\0\0\x02\0\0\0\xe6\0\0\0\
\x02\0\0\0\xf3\0\0\0\x18\0\0\0\xfe\0\0\0\x02\0\0\0\x06\x01\0\0\x02\0\0\0\x0b\
\x01\0\0\x01\0\0\x0c\x1a\0\0\0\x17\x01\0\0\x01\0\0\x0c\x0c\0\0\0\x49\0\0\0\0\0\
\0\x11\x1c\0\0\0\xff\xff\xff\xff\x65\0\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\
\0\0\0\0\0\0\0\x02\x20\0\0\0\x22\x01\0\0\0\0\0\x08\x21\0\0\0\x27\x01\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\0\x35\x01\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x1f\0\0\0\x04\0\0\0\x64\0\0\0\x3a\x01\0\0\0\0\0\x0e\x23\0\0\0\
\x01\0\0\0\x3f\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\x25\0\0\0\x04\0\0\0\x04\0\0\0\x44\x01\0\0\0\0\0\x0e\x26\0\0\0\x01\0\0\0\xe7\
\x08\0\0\x01\0\0\x0f\x18\0\0\0\x0a\0\0\0\0\0\0\0\x18\0\0\0\xed\x08\0\0\x01\0\0\
\x0f\x08\0\0\0\x22\0\0\0\0\0\0\0\x08\0\0\0\xf2\x08\0\0\x01\0\0\x0f\x20\x03\0\0\
\x24\0\0\0\0\0\0\0\x20\x03\0\0\0\x09\0\0\x01\0\0\x0f\x04\0\0\0\x27\0\0\0\0\0\0\
\0\x04\0\0\0\x08\x09\0\0\x02\0\0\x0f\0\0\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\
\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\
\x61\x67\x73\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x61\x72\x65\x6e\
\x61\0\x63\x74\x78\0\x62\x69\x67\x5f\x61\x6c\x6c\x6f\x63\x31\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\
\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x30\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\
\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\0\x62\x70\x66\x5f\x61\x72\x65\
\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\0\x62\x6f\x6f\x6c\0\x5f\
\x42\x6f\x6f\x6c\0\x70\x61\x67\x65\x5f\x63\x6e\x74\0\x70\x61\x67\x65\x73\x5f\
\x61\x74\x6f\x6e\x63\x65\0\x66\x69\x72\x73\x74\x5f\x70\x61\x73\x73\0\x6d\x61\
\x78\x5f\x69\x64\x78\0\x73\x74\x65\x70\0\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\
\x65\x73\0\x62\x69\x67\x5f\x61\x6c\x6c\x6f\x63\x32\0\x5f\x5f\x75\x38\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x62\x61\x73\x65\0\x70\x61\x67\
\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x39\x38\x2e\x65\x6c\x31\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x39\x38\x2e\x65\x6c\
\x31\x30\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x61\x72\x65\
\x6e\x61\x5f\x6c\x61\x72\x67\x65\x2e\x63\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\
\x65\x20\x69\x6e\x74\x20\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x69\
\x6e\x74\x20\x70\x61\x67\x65\x5f\x63\x6e\x74\x2c\x20\x69\x6e\x74\x20\x70\x61\
\x67\x65\x73\x5f\x61\x74\x6f\x6e\x63\x65\x2c\x20\x62\x6f\x6f\x6c\x20\x66\x69\
\x72\x73\x74\x5f\x70\x61\x73\x73\x2c\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\
\x30\x3b\x20\x69\x20\x3c\x20\x70\x61\x67\x65\x5f\x63\x6e\x74\x3b\x20\x69\x2b\
\x2b\x29\x20\x7b\0\x09\x09\x70\x67\x20\x3d\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\
\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\
\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x70\x61\x67\x65\x73\x5f\x61\x74\x6f\x6e\
\x63\x65\x2c\0\x09\x09\x69\x66\x20\x28\x21\x70\x67\x29\0\x09\x09\x70\x67\x5f\
\x69\x64\x78\x20\x3d\x20\x28\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x29\x20\x28\x70\x67\x20\x2d\x20\x62\x61\x73\x65\x29\x20\x2f\x20\x50\x41\
\x47\x45\x5f\x53\x49\x5a\x45\x3b\0\x09\x09\x69\x66\x20\x28\x66\x69\x72\x73\x74\
\x5f\x70\x61\x73\x73\x29\x20\x7b\0\x09\x09\x09\x69\x66\x20\x28\x70\x67\x5f\x69\
\x64\x78\x20\x21\x3d\x20\x69\x29\0\x09\x09\x09\x09\x72\x65\x74\x75\x72\x6e\x20\
\x73\x74\x65\x70\x20\x2b\x20\x31\x30\x30\x3b\0\x09\x09\x09\x69\x66\x20\x28\x70\
\x67\x5f\x69\x64\x78\x20\x3e\x3d\x20\x6d\x61\x78\x5f\x69\x64\x78\x20\x7c\x7c\
\x20\x28\x70\x67\x5f\x69\x64\x78\x20\x26\x20\x31\x29\x29\0\x09\x09\x09\x09\x72\
\x65\x74\x75\x72\x6e\x20\x73\x74\x65\x70\x20\x2b\x20\x32\x30\x30\x3b\0\x09\x09\
\x2a\x70\x67\x20\x3d\x20\x70\x67\x5f\x69\x64\x78\x3b\0\x09\x09\x70\x61\x67\x65\
\x5b\x70\x67\x5f\x69\x64\x78\x5d\x20\x3d\x20\x70\x67\x3b\0\x09\x09\x63\x6f\x6e\
\x64\x5f\x62\x72\x65\x61\x6b\x3b\0\x7d\0\x69\x6e\x74\x20\x62\x69\x67\x5f\x61\
\x6c\x6c\x6f\x63\x31\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x70\x61\
\x67\x65\x31\x20\x3d\x20\x62\x61\x73\x65\x20\x3d\x20\x62\x70\x66\x5f\x61\x72\
\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\
\x65\x6e\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x31\x2c\x20\x4e\x55\x4d\x41\x5f\
\x4e\x4f\x5f\x4e\x4f\x44\x45\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\
\x61\x67\x65\x31\x29\0\x09\x2a\x70\x61\x67\x65\x31\x20\x3d\x20\x31\x3b\0\x09\
\x70\x61\x67\x65\x32\x20\x3d\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\
\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\
\x62\x61\x73\x65\x20\x2b\x20\x41\x52\x45\x4e\x41\x5f\x53\x49\x5a\x45\x20\x2d\
\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x20\x2a\x20\x32\x2c\0\x09\x69\x66\x20\
\x28\x21\x70\x61\x67\x65\x32\x29\0\x09\x2a\x70\x61\x67\x65\x32\x20\x3d\x20\x32\
\x3b\0\x09\x6e\x6f\x5f\x70\x61\x67\x65\x20\x3d\x20\x62\x70\x66\x5f\x61\x72\x65\
\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\
\x6e\x61\x2c\x20\x62\x61\x73\x65\x20\x2b\x20\x41\x52\x45\x4e\x41\x5f\x53\x49\
\x5a\x45\x20\x2d\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x2c\0\x09\x69\x66\x20\
\x28\x6e\x6f\x5f\x70\x61\x67\x65\x29\0\x09\x69\x66\x20\x28\x2a\x70\x61\x67\x65\
\x31\x20\x21\x3d\x20\x31\x29\0\x09\x69\x66\x20\x28\x2a\x70\x61\x67\x65\x32\x20\
\x21\x3d\x20\x32\x29\0\x09\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x66\x72\x65\
\x65\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x28\x76\x6f\
\x69\x64\x20\x5f\x5f\x61\x72\x65\x6e\x61\x20\x2a\x29\x70\x61\x67\x65\x31\x2c\
\x20\x31\x29\x3b\0\x09\x69\x66\x20\x28\x2a\x70\x61\x67\x65\x31\x20\x21\x3d\x20\
\x30\x29\x20\x2f\x2a\x20\x75\x73\x65\x2d\x61\x66\x74\x65\x72\x2d\x66\x72\x65\
\x65\x20\x73\x68\x6f\x75\x6c\x64\x20\x72\x65\x74\x75\x72\x6e\x20\x30\x20\x2a\
\x2f\0\x09\x70\x61\x67\x65\x33\x20\x3d\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\
\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\
\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x31\x2c\x20\x4e\x55\x4d\x41\x5f\x4e\x4f\x5f\
\x4e\x4f\x44\x45\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x21\x70\x61\x67\x65\
\x33\x29\0\x09\x2a\x70\x61\x67\x65\x33\x20\x3d\x20\x33\x3b\0\x09\x69\x66\x20\
\x28\x70\x61\x67\x65\x31\x20\x21\x3d\x20\x70\x61\x67\x65\x33\x29\0\x09\x69\x66\
\x20\x28\x2a\x28\x70\x61\x67\x65\x31\x20\x2b\x20\x50\x41\x47\x45\x5f\x53\x49\
\x5a\x45\x29\x20\x21\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\x2a\x28\x70\x61\x67\
\x65\x31\x20\x2d\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x29\x20\x21\x3d\x20\
\x30\x29\0\x09\x69\x66\x20\x28\x2a\x28\x70\x61\x67\x65\x32\x20\x2b\x20\x50\x41\
\x47\x45\x5f\x53\x49\x5a\x45\x29\x20\x21\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\
\x2a\x28\x70\x61\x67\x65\x32\x20\x2d\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\
\x29\x20\x21\x3d\x20\x30\x29\0\x69\x6e\x74\x20\x62\x69\x67\x5f\x61\x6c\x6c\x6f\
\x63\x32\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x61\x73\x65\x20\
\x3d\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\
\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\
\x31\x2c\x20\x4e\x55\x4d\x41\x5f\x4e\x4f\x5f\x4e\x4f\x44\x45\x2c\x20\x30\x29\
\x3b\0\x09\x69\x66\x20\x28\x21\x62\x61\x73\x65\x29\0\x09\x62\x70\x66\x5f\x61\
\x72\x65\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\
\x65\x6e\x61\x2c\x20\x28\x76\x6f\x69\x64\x20\x5f\x5f\x61\x72\x65\x6e\x61\x20\
\x2a\x29\x62\x61\x73\x65\x2c\x20\x31\x29\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x61\
\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x50\x41\x47\x45\x5f\x43\x4e\x54\
\x2c\x20\x31\x2c\x20\x74\x72\x75\x65\x2c\x20\x50\x41\x47\x45\x5f\x43\x4e\x54\
\x2c\x20\x32\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x09\x09\x70\x67\
\x20\x3d\x20\x70\x61\x67\x65\x5b\x69\x5d\x3b\0\x09\x09\x69\x66\x20\x28\x2a\x70\
\x67\x20\x21\x3d\x20\x69\x29\0\x09\x09\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\
\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\
\x28\x76\x6f\x69\x64\x20\x5f\x5f\x61\x72\x65\x6e\x61\x20\x2a\x29\x70\x67\x2c\
\x20\x31\x29\x3b\0\x09\x09\x70\x61\x67\x65\x5b\x69\x5d\x20\x3d\x20\x4e\x55\x4c\
\x4c\x3b\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\
\x50\x41\x47\x45\x5f\x43\x4e\x54\x3b\x20\x69\x20\x2b\x3d\x20\x32\x29\x20\x7b\0\
\x09\x65\x72\x72\x20\x3d\x20\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\
\x50\x41\x47\x45\x5f\x43\x4e\x54\x20\x2f\x20\x32\x2c\x20\x31\x2c\x20\x66\x61\
\x6c\x73\x65\x2c\x20\x50\x41\x47\x45\x5f\x43\x4e\x54\x2c\x20\x34\x29\x3b\0\x09\
\x09\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\
\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x28\x76\x6f\x69\x64\x20\x5f\x5f\
\x61\x72\x65\x6e\x61\x20\x2a\x29\x70\x67\x2c\x20\x32\x29\x3b\0\x09\x09\x70\x61\
\x67\x65\x5b\x69\x20\x2b\x20\x31\x5d\x20\x3d\x20\x4e\x55\x4c\x4c\x3b\0\x09\x66\
\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x50\x41\x47\x45\
\x5f\x43\x4e\x54\x3b\x20\x69\x20\x2b\x3d\x20\x34\x29\x20\x7b\0\x09\x65\x72\x72\
\x20\x3d\x20\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x50\x41\x47\x45\
\x5f\x43\x4e\x54\x20\x2f\x20\x34\x2c\x20\x32\x2c\x20\x66\x61\x6c\x73\x65\x2c\
\x20\x50\x41\x47\x45\x5f\x43\x4e\x54\x2c\x20\x36\x29\x3b\0\x09\x70\x67\x20\x3d\
\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\
\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x31\
\x2c\x20\x4e\x55\x4d\x41\x5f\x4e\x4f\x5f\x4e\x4f\x44\x45\x2c\x20\x30\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x70\x67\x29\0\x09\x69\x66\x20\x28\x28\x70\x67\x20\x2d\
\x20\x62\x61\x73\x65\x29\x20\x2f\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x20\
\x3c\x20\x50\x41\x47\x45\x5f\x43\x4e\x54\x29\0\x2e\x6d\x61\x70\x73\0\x2e\x62\
\x73\x73\0\x2e\x61\x64\x64\x72\x5f\x73\x70\x61\x63\x65\x2e\x31\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x73\x79\x73\
\x63\x61\x6c\x6c\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\
\0\0\0\xf4\x05\0\0\x20\x06\0\0\0\0\0\0\x08\0\0\0\x0f\x09\0\0\x01\0\0\0\0\0\0\0\
\x1b\0\0\0\x15\x09\0\0\x02\0\0\0\0\0\0\0\x0d\0\0\0\xb0\x02\0\0\x1c\0\0\0\x10\0\
\0\0\x0f\x09\0\0\x15\0\0\0\0\0\0\0\x4d\x01\0\0\xcf\x01\0\0\0\x3c\x01\0\x30\0\0\
\0\x4d\x01\0\0\x1b\x02\0\0\x02\x54\x01\0\x60\0\0\0\x4d\x01\0\0\x3d\x02\0\0\x08\
\x58\x01\0\x98\0\0\0\x4d\x01\0\0\x76\x02\0\0\x07\x60\x01\0\xa0\0\0\0\x4d\x01\0\
\0\x81\x02\0\0\x22\x68\x01\0\xb8\0\0\0\x4d\x01\0\0\x81\x02\0\0\x20\x68\x01\0\
\xc8\0\0\0\x4d\x01\0\0\x81\x02\0\0\x28\x68\x01\0\xd0\0\0\0\x4d\x01\0\0\xb5\x02\
\0\0\x07\x6c\x01\0\xe0\0\0\0\x4d\x01\0\0\xc9\x02\0\0\x0f\x74\x01\0\xf0\0\0\0\
\x4d\x01\0\0\xdd\x02\0\0\x11\x78\x01\0\xf8\0\0\0\x4d\x01\0\0\xdd\x02\0\0\x05\
\x78\x01\0\0\x01\0\0\x4d\x01\0\0\xf4\x02\0\0\x1a\x84\x01\0\x30\x01\0\0\x4d\x01\
\0\0\x1e\x03\0\0\x11\x88\x01\0\x38\x01\0\0\x4d\x01\0\0\x1e\x03\0\0\x05\x88\x01\
\0\x48\x01\0\0\x4d\x01\0\0\x35\x03\0\0\x07\x90\x01\0\x50\x01\0\0\x4d\x01\0\0\
\x45\x03\0\0\x03\x94\x01\0\x70\x01\0\0\x4d\x01\0\0\x45\x03\0\0\x10\x94\x01\0\
\x80\x01\0\0\x4d\x01\0\0\x5a\x03\0\0\x03\x98\x01\0\x88\x01\0\0\x4d\x01\0\0\x1b\
\x02\0\0\x1d\x54\x01\0\x90\x01\0\0\x4d\x01\0\0\x1b\x02\0\0\x02\x54\x01\0\x98\
\x01\0\0\x4d\x01\0\0\x68\x03\0\0\x01\xa4\x01\0\x15\x09\0\0\x49\0\0\0\0\0\0\0\
\x4d\x01\0\0\x6a\x03\0\0\0\x58\0\0\x08\0\0\0\x4d\x01\0\0\x84\x03\0\0\x11\x70\0\
\0\x48\0\0\0\x4d\x01\0\0\xcd\x03\0\0\x06\x74\0\0\x58\0\0\0\x4d\x01\0\0\xda\x03\
\0\0\x09\x7c\0\0\x70\0\0\0\x4d\x01\0\0\xe7\x03\0\0\x3a\x80\0\0\x80\0\0\0\x4d\
\x01\0\0\xe7\x03\0\0\x0a\x80\0\0\xb8\0\0\0\x4d\x01\0\0\x31\x04\0\0\x06\x88\0\0\
\xc8\0\0\0\x4d\x01\0\0\x3e\x04\0\0\x09\x90\0\0\xe0\0\0\0\x4d\x01\0\0\x4b\x04\0\
\0\x3c\x94\0\0\xf0\0\0\0\x4d\x01\0\0\x4b\x04\0\0\x0c\x94\0\0\x28\x01\0\0\x4d\
\x01\0\0\x93\x04\0\0\x06\x9c\0\0\x38\x01\0\0\x4d\x01\0\0\xa1\x04\0\0\x06\xa4\0\
\0\x40\x01\0\0\x4d\x01\0\0\xa1\x04\0\0\x0d\xa4\0\0\x50\x01\0\0\x4d\x01\0\0\xb3\
\x04\0\0\x06\xac\0\0\x58\x01\0\0\x4d\x01\0\0\xb3\x04\0\0\x0d\xac\0\0\x60\x01\0\
\0\x4d\x01\0\0\xc5\x04\0\0\x02\xb4\0\0\x90\x01\0\0\x4d\x01\0\0\xb3\x04\0\0\x06\
\xb8\0\0\x98\x01\0\0\x4d\x01\0\0\xb3\x04\0\0\x0d\xb8\0\0\xa8\x01\0\0\x4d\x01\0\
\0\xfe\x04\0\0\x06\xc0\0\0\xb0\x01\0\0\x4d\x01\0\0\xfe\x04\0\0\x0d\xc0\0\0\xb8\
\x01\0\0\x4d\x01\0\0\x35\x05\0\0\x0a\xc8\0\0\xf8\x01\0\0\x4d\x01\0\0\x77\x05\0\
\0\x06\xcc\0\0\x08\x02\0\0\x4d\x01\0\0\x84\x05\0\0\x09\xd4\0\0\x18\x02\0\0\x4d\
\x01\0\0\x91\x05\0\0\x0c\xd8\0\0\x28\x02\0\0\x4d\x01\0\0\xb3\x04\0\0\x06\xe0\0\
\0\x30\x02\0\0\x4d\x01\0\0\xb3\x04\0\0\x0d\xe0\0\0\x40\x02\0\0\x4d\x01\0\0\xa6\
\x05\0\0\x06\xe8\0\0\x48\x02\0\0\x4d\x01\0\0\xa6\x05\0\0\x1b\xe8\0\0\x58\x02\0\
\0\x4d\x01\0\0\xc6\x05\0\0\x06\xf0\0\0\x60\x02\0\0\x4d\x01\0\0\xc6\x05\0\0\x1b\
\xf0\0\0\x70\x02\0\0\x4d\x01\0\0\xe6\x05\0\0\x06\xf8\0\0\x78\x02\0\0\x4d\x01\0\
\0\xe6\x05\0\0\x1b\xf8\0\0\x80\x02\0\0\x4d\x01\0\0\x06\x06\0\0\x06\0\x01\0\xa0\
\x02\0\0\x4d\x01\0\0\x68\x03\0\0\x01\x10\x01\0\xb0\x02\0\0\x4d\x01\0\0\x26\x06\
\0\0\0\xb4\x01\0\xb8\x02\0\0\x4d\x01\0\0\x40\x06\0\0\x09\xc8\x01\0\xf0\x02\0\0\
\x4d\x01\0\0\x40\x06\0\0\x07\xc8\x01\0\x08\x03\0\0\x4d\x01\0\0\x81\x06\0\0\x06\
\xcc\x01\0\x10\x03\0\0\x4d\x01\0\0\x8d\x06\0\0\x02\xd4\x01\0\x38\x03\0\0\x4d\
\x01\0\0\xc5\x06\0\0\x08\xdc\x01\0\x70\x03\0\0\x4d\x01\0\0\xf9\x06\0\0\x06\xe0\
\x01\0\xa0\x03\0\0\x4d\x01\0\0\x03\x07\0\0\x08\xf4\x01\0\xb8\x03\0\0\x4d\x01\0\
\0\x13\x07\0\0\x07\xf8\x01\0\xc8\x03\0\0\x4d\x01\0\0\x13\x07\0\0\x0b\xf8\x01\0\
\xd0\x03\0\0\x4d\x01\0\0\x23\x07\0\0\x03\0\x02\0\xf0\x03\0\0\x4d\x01\0\0\x5a\
\x07\0\0\x0b\x04\x02\0\xf8\x03\0\0\x4d\x01\0\0\x5a\x03\0\0\x03\x08\x02\0\0\x04\
\0\0\x4d\x01\0\0\x6c\x07\0\0\x10\xf0\x01\0\x10\x04\0\0\x4d\x01\0\0\x6c\x07\0\0\
\x02\xf0\x01\0\x18\x04\0\0\x4d\x01\0\0\x91\x07\0\0\x08\x18\x02\0\x50\x04\0\0\
\x4d\x01\0\0\xf9\x06\0\0\x06\x1c\x02\0\x80\x04\0\0\x4d\x01\0\0\x03\x07\0\0\x08\
\x30\x02\0\x98\x04\0\0\x4d\x01\0\0\x13\x07\0\0\x07\x34\x02\0\xa8\x04\0\0\x4d\
\x01\0\0\x13\x07\0\0\x0b\x34\x02\0\xb0\x04\0\0\x4d\x01\0\0\xca\x07\0\0\x03\x3c\
\x02\0\xd0\x04\0\0\x4d\x01\0\0\x01\x08\0\0\x0f\x44\x02\0\xd8\x04\0\0\x4d\x01\0\
\0\x5a\x07\0\0\x0b\x40\x02\0\xe0\x04\0\0\x4d\x01\0\0\x5a\x03\0\0\x03\x48\x02\0\
\xe8\x04\0\0\x4d\x01\0\0\x17\x08\0\0\x10\x2c\x02\0\xf8\x04\0\0\x4d\x01\0\0\x17\
\x08\0\0\x02\x2c\x02\0\0\x05\0\0\x4d\x01\0\0\x3c\x08\0\0\x08\x58\x02\0\x38\x05\
\0\0\x4d\x01\0\0\xf9\x06\0\0\x06\x5c\x02\0\x68\x05\0\0\x4d\x01\0\0\x03\x07\0\0\
\x08\x70\x02\0\x80\x05\0\0\x4d\x01\0\0\x13\x07\0\0\x07\x74\x02\0\x90\x05\0\0\
\x4d\x01\0\0\x13\x07\0\0\x0b\x74\x02\0\x98\x05\0\0\x4d\x01\0\0\x5a\x03\0\0\x03\
\x7c\x02\0\xa0\x05\0\0\x4d\x01\0\0\x6c\x07\0\0\x10\x6c\x02\0\xb0\x05\0\0\x4d\
\x01\0\0\x6c\x07\0\0\x02\x6c\x02\0\xb8\x05\0\0\x4d\x01\0\0\x75\x08\0\0\x07\x88\
\x02\0\xf8\x05\0\0\x4d\x01\0\0\xb4\x08\0\0\x06\x90\x02\0\0\x06\0\0\x4d\x01\0\0\
\xbe\x08\0\0\x0c\xa8\x02\0\x18\x06\0\0\x4d\x01\0\0\xbe\x08\0\0\x0a\xa8\x02\0\
\x38\x06\0\0\x4d\x01\0\0\x68\x03\0\0\x01\xb4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\0\
\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\xa8\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\x48\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0a\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe0\x0a\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe0\x0a\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xdc\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x0e\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe6\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0e\0\0\0\0\0\0\xc0\x01\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf2\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x10\0\0\0\0\0\0\x99\x0c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x1c\0\0\0\0\0\0\x40\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_arena_large *verifier_arena_large::open(const struct bpf_object_open_opts *opts) { return verifier_arena_large__open_opts(opts); }
struct verifier_arena_large *verifier_arena_large::open_and_load() { return verifier_arena_large__open_and_load(); }
int verifier_arena_large::load(struct verifier_arena_large *skel) { return verifier_arena_large__load(skel); }
int verifier_arena_large::attach(struct verifier_arena_large *skel) { return verifier_arena_large__attach(skel); }
void verifier_arena_large::detach(struct verifier_arena_large *skel) { verifier_arena_large__detach(skel); }
void verifier_arena_large::destroy(struct verifier_arena_large *skel) { verifier_arena_large__destroy(skel); }
const void *verifier_arena_large::elf_bytes(size_t *sz) { return verifier_arena_large__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_arena_large__assert(struct verifier_arena_large *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->arena->page) == 800, "unexpected size of 'page'");
	_Static_assert(sizeof(s->bss->base) == 8, "unexpected size of 'base'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_ARENA_LARGE_SKEL_H__ */
