/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __STRUCT_OPS_PRIVATE_STACK_RECUR_SKEL_H__
#define __STRUCT_OPS_PRIVATE_STACK_RECUR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct struct_ops_private_stack_recur {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *data;
		struct bpf_map *bss;
		struct bpf_map *testmod_1;
	} maps;
	struct {
		struct struct_ops_private_stack_recur__testmod_1__bpf_testmod_ops3 {
			struct bpf_program *test_1;
			struct bpf_program *test_2;
		} *testmod_1;
	} struct_ops;
	struct {
		struct bpf_program *test_1;
	} progs;
	struct {
		struct bpf_link *test_1;
		struct bpf_link *testmod_1;
	} links;
	struct struct_ops_private_stack_recur__data {
		bool skip;
	} *data;
	struct struct_ops_private_stack_recur__bss {
		int val_i;
		int val_j;
	} *bss;

#ifdef __cplusplus
	static inline struct struct_ops_private_stack_recur *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct struct_ops_private_stack_recur *open_and_load();
	static inline int load(struct struct_ops_private_stack_recur *skel);
	static inline int attach(struct struct_ops_private_stack_recur *skel);
	static inline void detach(struct struct_ops_private_stack_recur *skel);
	static inline void destroy(struct struct_ops_private_stack_recur *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
struct_ops_private_stack_recur__destroy(struct struct_ops_private_stack_recur *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
struct_ops_private_stack_recur__create_skeleton(struct struct_ops_private_stack_recur *obj);

static inline struct struct_ops_private_stack_recur *
struct_ops_private_stack_recur__open_opts(const struct bpf_object_open_opts *opts)
{
	struct struct_ops_private_stack_recur *obj;
	int err;

	obj = (struct struct_ops_private_stack_recur *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = struct_ops_private_stack_recur__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.testmod_1 = (__typeof__(obj->struct_ops.testmod_1))
		bpf_map__initial_value(obj->maps.testmod_1, NULL);

	return obj;
err_out:
	struct_ops_private_stack_recur__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct struct_ops_private_stack_recur *
struct_ops_private_stack_recur__open(void)
{
	return struct_ops_private_stack_recur__open_opts(NULL);
}

static inline int
struct_ops_private_stack_recur__load(struct struct_ops_private_stack_recur *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct struct_ops_private_stack_recur *
struct_ops_private_stack_recur__open_and_load(void)
{
	struct struct_ops_private_stack_recur *obj;
	int err;

	obj = struct_ops_private_stack_recur__open();
	if (!obj)
		return NULL;
	err = struct_ops_private_stack_recur__load(obj);
	if (err) {
		struct_ops_private_stack_recur__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
struct_ops_private_stack_recur__attach(struct struct_ops_private_stack_recur *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
struct_ops_private_stack_recur__detach(struct struct_ops_private_stack_recur *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *struct_ops_private_stack_recur__elf_bytes(size_t *sz);

static inline int
struct_ops_private_stack_recur__create_skeleton(struct struct_ops_private_stack_recur *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "struct_ops_private_stack_recur";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "struct_o.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "struct_o.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "testmod_1";
	map->map = &obj->maps.testmod_1;
	map->link = &obj->links.testmod_1;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_1";
	s->progs[0].prog = &obj->progs.test_1;
	s->progs[0].link = &obj->links.test_1;

	s->data = struct_ops_private_stack_recur__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *struct_ops_private_stack_recur__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x64\x61\x74\x61\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\
\x2e\x62\x73\x73\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x5f\x70\x72\x69\x76\
\x61\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x63\x75\x72\x2e\x63\0\x73\x75\
\x62\x70\x72\x6f\x67\x31\0\x73\x75\x62\x70\x72\x6f\x67\x32\0\x74\x65\x73\x74\
\x5f\x31\0\x76\x61\x6c\x5f\x6a\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\
\x5f\x6f\x70\x73\x33\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x31\0\x76\x61\
\x6c\x5f\x69\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\x69\x70\0\x74\x65\x73\
\x74\x6d\x6f\x64\x5f\x31\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\
\x6c\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\
\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x04\
\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\
\x02\0\x03\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x6b\0\0\0\x02\0\x03\0\xc8\x01\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x74\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x88\0\0\0\
\0\0\0\0\x7b\0\0\0\x11\0\x08\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x81\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xad\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xb2\0\0\0\x11\0\x07\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\
\x7b\x2a\xf0\xff\0\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\x7b\x2a\xe0\xff\0\0\0\0\x7b\
\x2a\xd8\xff\0\0\0\0\x7b\x2a\xd0\xff\0\0\0\0\x7b\x2a\xc8\xff\0\0\0\0\x7b\x2a\
\xc0\xff\0\0\0\0\x7b\x2a\xb8\xff\0\0\0\0\x7b\x2a\xb0\xff\0\0\0\0\x7b\x2a\xa8\
\xff\0\0\0\0\x7b\x2a\xa0\xff\0\0\0\0\x7b\x2a\x98\xff\0\0\0\0\x7b\x2a\x90\xff\0\
\0\0\0\x7b\x2a\x88\xff\0\0\0\0\x7b\x2a\x80\xff\0\0\0\0\x7b\x2a\x78\xff\0\0\0\0\
\x7b\x2a\x70\xff\0\0\0\0\x7b\x2a\x68\xff\0\0\0\0\x7b\x2a\x60\xff\0\0\0\0\x7b\
\x2a\x58\xff\0\0\0\0\x7b\x2a\x50\xff\0\0\0\0\x7b\x2a\x48\xff\0\0\0\0\x7b\x2a\
\x40\xff\0\0\0\0\x7b\x2a\x38\xff\0\0\0\0\x7b\x2a\x30\xff\0\0\0\0\x7b\x2a\x28\
\xff\0\0\0\0\x7b\x2a\x20\xff\0\0\0\0\x7b\x2a\x18\xff\0\0\0\0\x7b\x2a\x10\xff\0\
\0\0\0\x7b\x2a\x08\xff\0\0\0\0\x7b\x2a\0\xff\0\0\0\0\x7b\x2a\xf8\xfe\0\0\0\0\
\x7b\x2a\xf0\xfe\0\0\0\0\x7b\x2a\xe8\xfe\0\0\0\0\x7b\x2a\xe0\xfe\0\0\0\0\x7b\
\x2a\xd8\xfe\0\0\0\0\x7b\x2a\xd0\xfe\0\0\0\0\x7b\x2a\xc8\xfe\0\0\0\0\x7b\x2a\
\xc0\xfe\0\0\0\0\x7b\x2a\xb8\xfe\0\0\0\0\x7b\x2a\xb0\xfe\0\0\0\0\x7b\x2a\xa8\
\xfe\0\0\0\0\x7b\x2a\xa0\xfe\0\0\0\0\x7b\x2a\x98\xfe\0\0\0\0\x7b\x2a\x90\xfe\0\
\0\0\0\x7b\x2a\x88\xfe\0\0\0\0\x7b\x2a\x80\xfe\0\0\0\0\x7b\x2a\x78\xfe\0\0\0\0\
\x7b\x2a\x70\xfe\0\0\0\0\xb7\x02\0\0\x02\0\0\0\x63\x2a\xc0\xfe\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\x70\xfe\xff\xff\x85\x10\0\0\x01\0\0\0\x95\0\0\0\0\0\0\
\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\0\0\0\x61\x10\x04\0\0\0\0\
\0\x0f\x30\0\0\0\0\0\0\x61\x21\x50\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x63\x2a\
\xec\xff\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\xbf\xa1\0\0\0\
\0\0\0\x07\x01\0\0\xe8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x0f\x02\0\0\0\0\0\0\x63\x21\0\0\0\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x01\0\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x07\0\
\0\0\x70\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x1c\x02\0\0\x1c\x02\0\0\x5c\x02\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\
\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\
\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x23\0\0\0\x02\0\0\x0c\x06\
\0\0\0\0\0\0\0\0\0\0\x02\x04\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x40\0\0\0\x08\
\0\0\0\x42\0\0\0\0\0\0\x0c\x09\0\0\0\0\0\0\0\x02\0\0\x0d\x04\0\0\0\x40\0\0\0\
\x08\0\0\0\x4b\0\0\0\x08\0\0\0\x4d\0\0\0\0\0\0\x0c\x0b\0\0\0\x56\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x0f\0\0\0\x04\0\
\0\0\x5b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x6f\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\
\0\0\0\x78\0\0\0\0\0\0\x08\x12\0\0\0\x7d\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\
\x83\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x88\0\0\0\x02\0\0\x04\x10\0\0\0\x1c\0\
\0\0\x15\0\0\0\0\0\0\0\x99\0\0\0\x15\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\
\0\0\0\0\0\0\0\0\x0d\x04\0\0\0\xa0\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\xaa\0\0\
\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xb0\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x25\
\x02\0\0\x01\0\0\x0f\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\x2d\x02\0\0\x01\0\0\
\x0f\x01\0\0\0\x13\0\0\0\0\0\0\0\x01\0\0\0\x33\x02\0\0\x01\0\0\x0f\x10\0\0\0\
\x17\0\0\0\0\0\0\0\x10\0\0\0\x3f\x02\0\0\x02\0\0\x0f\x08\0\0\0\x18\0\0\0\0\0\0\
\0\x04\0\0\0\x19\0\0\0\x04\0\0\0\x04\0\0\0\x44\x02\0\0\x01\0\0\x0f\0\0\0\0\x07\
\0\0\0\0\0\0\0\0\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x31\0\
\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\x33\x5f\x63\x61\
\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x31\0\x61\0\x73\x75\x62\x70\x72\x6f\x67\x31\0\
\x62\0\x73\x75\x62\x70\x72\x6f\x67\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x73\x6b\x69\x70\0\x62\
\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\x33\0\x74\x65\x73\x74\
\x5f\x32\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x31\0\x76\x61\x6c\x5f\x69\0\x76\x61\
\x6c\x5f\x6a\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x39\x38\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x39\x38\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x5f\x70\x72\x69\x76\x61\x74\x65\x5f\x73\x74\x61\x63\
\x6b\x5f\x72\x65\x63\x75\x72\x2e\x63\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\
\x20\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x73\x75\x62\x70\x72\x6f\x67\
\x31\x28\x69\x6e\x74\x20\x2a\x61\x29\0\x09\x69\x6e\x74\x20\x62\x5b\x31\x30\x30\
\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x62\x5b\x32\x30\x5d\x20\x3d\x20\x32\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\x67\x32\x28\x61\x2c\
\x20\x62\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x76\x61\x6c\x5f\x69\x20\x2b\
\x20\x61\x5b\x31\x5d\x20\x2b\x20\x62\x5b\x32\x30\x5d\x3b\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x31\x29\0\x09\x69\x6e\x74\
\x20\x61\x5b\x35\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x61\x5b\x31\x5d\x20\x3d\x20\
\x31\x3b\0\x09\x76\x61\x6c\x5f\x6a\x20\x2b\x3d\x20\x73\x75\x62\x70\x72\x6f\x67\
\x31\x28\x61\x29\x3b\0\x09\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\
\x70\x73\x33\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x31\x28\x29\x3b\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x64\x61\x74\x61\0\x2e\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\
\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x2c\0\0\0\x2c\0\0\0\x44\x01\0\0\x70\x01\0\0\0\0\0\0\x08\0\0\0\x4b\x02\0\0\
\x02\0\0\0\0\0\0\0\x0a\0\0\0\xc8\x01\0\0\x0c\0\0\0\x51\x02\0\0\x01\0\0\0\0\0\0\
\0\x05\0\0\0\x10\0\0\0\x4b\x02\0\0\x0b\0\0\0\0\0\0\0\xb6\0\0\0\x42\x01\0\0\0\
\x64\0\0\x08\0\0\0\xb6\0\0\0\x69\x01\0\0\x06\x70\0\0\xa0\x01\0\0\xb6\0\0\0\x7b\
\x01\0\0\x08\x78\0\0\xb8\x01\0\0\xb6\0\0\0\x87\x01\0\0\x09\x7c\0\0\xc0\x01\0\0\
\xb6\0\0\0\x87\x01\0\0\x02\x7c\0\0\xc8\x01\0\0\xb6\0\0\0\x9f\x01\0\0\x09\x58\0\
\0\xe0\x01\0\0\xb6\0\0\0\x9f\x01\0\0\x11\x58\0\0\xe8\x01\0\0\xb6\0\0\0\x9f\x01\
\0\0\x0f\x58\0\0\xf0\x01\0\0\xb6\0\0\0\x9f\x01\0\0\x18\x58\0\0\xf8\x01\0\0\xb6\
\0\0\0\x9f\x01\0\0\x16\x58\0\0\0\x02\0\0\xb6\0\0\0\x9f\x01\0\0\x02\x58\0\0\x51\
\x02\0\0\x08\0\0\0\0\0\0\0\xb6\0\0\0\xbd\x01\0\0\0\x90\0\0\x08\0\0\0\xb6\0\0\0\
\xd2\x01\0\0\x06\x9c\0\0\x18\0\0\0\xb6\0\0\0\xe2\x01\0\0\x07\xa4\0\0\x20\0\0\0\
\xb6\0\0\0\xd2\x01\0\0\x06\x9c\0\0\x40\0\0\0\xb6\0\0\0\xed\x01\0\0\x0b\xa8\0\0\
\x48\0\0\0\xb6\0\0\0\xed\x01\0\0\x08\xa8\0\0\x70\0\0\0\xb6\0\0\0\x04\x02\0\0\
\x02\xac\0\0\x78\0\0\0\xb6\0\0\0\xbd\x01\0\0\x05\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\xf3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\
\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\
\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x04\0\0\0\0\0\0\x88\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\x05\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x3c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbc\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc6\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd5\0\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe5\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x05\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xea\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf8\x09\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct struct_ops_private_stack_recur *struct_ops_private_stack_recur::open(const struct bpf_object_open_opts *opts) { return struct_ops_private_stack_recur__open_opts(opts); }
struct struct_ops_private_stack_recur *struct_ops_private_stack_recur::open_and_load() { return struct_ops_private_stack_recur__open_and_load(); }
int struct_ops_private_stack_recur::load(struct struct_ops_private_stack_recur *skel) { return struct_ops_private_stack_recur__load(skel); }
int struct_ops_private_stack_recur::attach(struct struct_ops_private_stack_recur *skel) { return struct_ops_private_stack_recur__attach(skel); }
void struct_ops_private_stack_recur::detach(struct struct_ops_private_stack_recur *skel) { struct_ops_private_stack_recur__detach(skel); }
void struct_ops_private_stack_recur::destroy(struct struct_ops_private_stack_recur *skel) { struct_ops_private_stack_recur__destroy(skel); }
const void *struct_ops_private_stack_recur::elf_bytes(size_t *sz) { return struct_ops_private_stack_recur__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
struct_ops_private_stack_recur__assert(struct struct_ops_private_stack_recur *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->data->skip) == 1, "unexpected size of 'skip'");
	_Static_assert(sizeof(s->bss->val_i) == 4, "unexpected size of 'val_i'");
	_Static_assert(sizeof(s->bss->val_j) == 4, "unexpected size of 'val_j'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __STRUCT_OPS_PRIVATE_STACK_RECUR_SKEL_H__ */
