/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPROBE_MULTI_SESSION_COOKIE_SKEL_H__
#define __UPROBE_MULTI_SESSION_COOKIE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uprobe_multi_session_cookie {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *uprobe_1;
		struct bpf_program *uprobe_2;
		struct bpf_program *uprobe_3;
	} progs;
	struct {
		struct bpf_link *uprobe_1;
		struct bpf_link *uprobe_2;
		struct bpf_link *uprobe_3;
	} links;
	struct uprobe_multi_session_cookie__bss {
		int pid;
		char __pad0[4];
		__u64 test_uprobe_1_result;
		__u64 test_uprobe_2_result;
		__u64 test_uprobe_3_result;
	} *bss;

#ifdef __cplusplus
	static inline struct uprobe_multi_session_cookie *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uprobe_multi_session_cookie *open_and_load();
	static inline int load(struct uprobe_multi_session_cookie *skel);
	static inline int attach(struct uprobe_multi_session_cookie *skel);
	static inline void detach(struct uprobe_multi_session_cookie *skel);
	static inline void destroy(struct uprobe_multi_session_cookie *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uprobe_multi_session_cookie__destroy(struct uprobe_multi_session_cookie *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uprobe_multi_session_cookie__create_skeleton(struct uprobe_multi_session_cookie *obj);

static inline struct uprobe_multi_session_cookie *
uprobe_multi_session_cookie__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uprobe_multi_session_cookie *obj;
	int err;

	obj = (struct uprobe_multi_session_cookie *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uprobe_multi_session_cookie__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uprobe_multi_session_cookie__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uprobe_multi_session_cookie *
uprobe_multi_session_cookie__open(void)
{
	return uprobe_multi_session_cookie__open_opts(NULL);
}

static inline int
uprobe_multi_session_cookie__load(struct uprobe_multi_session_cookie *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uprobe_multi_session_cookie *
uprobe_multi_session_cookie__open_and_load(void)
{
	struct uprobe_multi_session_cookie *obj;
	int err;

	obj = uprobe_multi_session_cookie__open();
	if (!obj)
		return NULL;
	err = uprobe_multi_session_cookie__load(obj);
	if (err) {
		uprobe_multi_session_cookie__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uprobe_multi_session_cookie__attach(struct uprobe_multi_session_cookie *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uprobe_multi_session_cookie__detach(struct uprobe_multi_session_cookie *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uprobe_multi_session_cookie__elf_bytes(size_t *sz);

static inline int
uprobe_multi_session_cookie__create_skeleton(struct uprobe_multi_session_cookie *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uprobe_multi_session_cookie";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "uprobe_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_1";
	s->progs[0].prog = &obj->progs.uprobe_1;
	s->progs[0].link = &obj->links.uprobe_1;

	s->progs[1].name = "uprobe_2";
	s->progs[1].prog = &obj->progs.uprobe_2;
	s->progs[1].link = &obj->links.uprobe_2;

	s->progs[2].name = "uprobe_3";
	s->progs[2].prog = &obj->progs.uprobe_3;
	s->progs[2].link = &obj->links.uprobe_3;

	s->data = uprobe_multi_session_cookie__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uprobe_multi_session_cookie__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\
\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\
\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\
\x32\0\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\
\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x73\
\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\x2e\x63\0\x75\x70\x72\x6f\
\x62\x65\x5f\x31\0\x70\x69\x64\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\
\x5f\x63\x6f\x6f\x6b\x69\x65\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\
\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\
\x65\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x32\0\
\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x32\x5f\x72\x65\x73\x75\x6c\
\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x33\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\
\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\
\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x31\0\x2e\x72\x65\x6c\
\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\
\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\
\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x66\x75\x6e\x63\x5f\x33\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd2\0\0\0\x12\0\x03\0\0\0\0\0\0\
\0\0\0\xe0\0\0\0\0\0\0\0\xdb\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\xdf\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf2\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\x11\0\x07\0\x08\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x1d\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x26\x01\0\
\0\x11\0\x07\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x3b\x01\0\0\x12\0\x05\0\0\0\
\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x44\x01\0\0\x11\0\x07\0\x18\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x59\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\
\0\x0e\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x77\x01\0\0\x20\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\
\x02\0\0\x20\0\0\0\x5d\x21\x11\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x57\0\0\0\x01\0\0\0\x15\0\x09\0\0\0\0\0\
\x79\x62\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x15\x02\x01\0\x01\
\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\
\0\0\x05\0\x03\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x7b\x16\0\0\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\
\0\0\0\x77\x01\0\0\x20\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\
\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\x5d\x21\x12\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x57\0\
\0\0\x01\0\0\0\x15\0\x0a\0\0\0\0\0\x79\x62\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xb7\
\x01\0\0\x01\0\0\0\x15\x02\x01\0\x02\0\0\0\xb7\x01\0\0\0\0\0\0\x67\x01\0\0\x01\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x05\0\x03\0\0\0\
\0\0\xb7\x01\0\0\x02\0\0\0\x7b\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x85\0\0\0\x0e\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x77\x01\0\0\
\x20\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x02\0\0\
\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\x5d\x21\x11\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xbf\x06\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x57\0\0\0\x01\0\0\0\x15\0\
\x09\0\0\0\0\0\x79\x62\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xb7\x01\0\0\x03\0\0\0\x15\
\x02\x01\0\x03\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x12\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xb7\x01\0\0\x03\0\0\0\x7b\x16\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x01\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\
\x0a\0\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\
\x0a\0\0\0\x08\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\
\x0a\0\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xc8\x01\0\0\xc8\x01\0\0\x3f\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\
\x0d\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x11\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\
\0\0\0\0\0\x0d\x07\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x1a\0\0\0\0\0\0\x08\x09\0\
\0\0\x20\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x33\0\0\0\x02\0\0\x0c\x06\0\0\0\0\
\0\0\0\0\0\0\x0d\x0c\0\0\0\x46\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x4c\0\0\0\
\x02\0\0\x0c\x0b\0\0\0\x62\0\0\0\x01\0\0\x0c\x03\0\0\0\x6b\0\0\0\x01\0\0\x0c\
\x03\0\0\0\x74\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x10\0\0\0\x12\0\0\0\x04\0\0\0\x79\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x8d\0\0\
\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x96\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x9a\0\
\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\xaf\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\xc4\
\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x95\x02\0\0\x01\0\0\x0f\x04\0\0\0\x13\0\0\
\0\0\0\0\0\x04\0\0\0\x9d\x02\0\0\x04\0\0\x0f\x20\0\0\0\x14\0\0\0\0\0\0\0\x04\0\
\0\0\x15\0\0\0\x08\0\0\0\x08\0\0\0\x16\0\0\0\x10\0\0\0\x08\0\0\0\x17\0\0\0\x18\
\0\0\0\x08\0\0\0\xa2\x02\0\0\x02\0\0\x0f\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\
\0\0\0\0\0\0\0\0\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\
\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x31\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x73\
\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\0\x5f\x42\x6f\x6f\x6c\0\
\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\
\x72\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\x32\0\x75\x70\x72\x6f\x62\x65\x5f\x33\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x74\x65\x73\
\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\
\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x32\x5f\x72\x65\x73\x75\x6c\x74\0\x74\
\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x33\x5f\x72\x65\x73\x75\x6c\x74\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x39\x38\
\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x39\x38\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\
\x65\x2e\x63\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\
\x33\x32\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x63\x6f\x6f\x6b\x69\x65\x20\x3d\
\x20\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\
\x28\x29\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\
\x5f\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\x28\x29\x29\0\x09\x09\x2a\x72\x65\x73\
\x75\x6c\x74\x20\x3d\x20\x2a\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x3d\x20\x76\x61\
\x6c\x20\x3f\x20\x76\x61\x6c\x20\x3a\x20\x30\x3b\0\x09\x09\x2a\x63\x6f\x6f\x6b\
\x69\x65\x20\x3d\x20\x76\x61\x6c\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x68\
\x65\x63\x6b\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x31\x2c\x20\x26\x74\x65\x73\x74\
\x5f\x75\x70\x72\x6f\x62\x65\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x63\x68\x65\x63\x6b\x5f\x63\x6f\x6f\x6b\x69\x65\
\x28\x32\x2c\x20\x26\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x32\x5f\
\x72\x65\x73\x75\x6c\x74\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x68\x65\
\x63\x6b\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x33\x2c\x20\x26\x74\x65\x73\x74\x5f\
\x75\x70\x72\x6f\x62\x65\x5f\x33\x5f\x72\x65\x73\x75\x6c\x74\x29\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x75\x70\x72\
\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\
\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x5f\x66\x75\x6e\x63\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\
\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x32\0\
\x75\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\x5f\x33\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x34\0\0\0\x34\0\0\0\x3c\x02\0\0\x70\x02\0\0\0\0\0\0\x08\0\0\0\xa9\x02\0\0\
\x01\0\0\0\0\0\0\0\x05\0\0\0\xdb\x02\0\0\x01\0\0\0\0\0\0\0\x0e\0\0\0\x0d\x03\0\
\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\x10\0\0\0\xa9\x02\0\0\x0c\0\0\0\0\0\0\0\xd9\0\0\
\0\x62\x01\0\0\x06\x50\0\0\x18\0\0\0\xd9\0\0\0\x62\x01\0\0\x21\x50\0\0\x20\0\0\
\0\xd9\0\0\0\x62\x01\0\0\x2a\x50\0\0\x48\0\0\0\xd9\0\0\0\x62\x01\0\0\x27\x50\0\
\0\x50\0\0\0\xd9\0\0\0\x90\x01\0\0\x0b\x5c\0\0\x60\0\0\0\xd9\0\0\0\xb0\x01\0\0\
\x06\x64\0\0\x78\0\0\0\xd9\0\0\0\xce\x01\0\0\x0d\x68\0\0\x90\0\0\0\xd9\0\0\0\
\xce\x01\0\0\x15\x68\0\0\xa0\0\0\0\xd9\0\0\0\xce\x01\0\0\x0b\x68\0\0\xb8\0\0\0\
\xd9\0\0\0\xce\x01\0\0\x03\x68\0\0\xc8\0\0\0\xd9\0\0\0\xf4\x01\0\0\x0b\x70\0\0\
\xd8\0\0\0\xd9\0\0\0\x05\x02\0\0\x02\x8c\0\0\xdb\x02\0\0\x0b\0\0\0\0\0\0\0\xd9\
\0\0\0\x62\x01\0\0\x06\x50\0\0\x18\0\0\0\xd9\0\0\0\x62\x01\0\0\x21\x50\0\0\x20\
\0\0\0\xd9\0\0\0\x62\x01\0\0\x2a\x50\0\0\x48\0\0\0\xd9\0\0\0\x62\x01\0\0\x27\
\x50\0\0\x50\0\0\0\xd9\0\0\0\x90\x01\0\0\x0b\x5c\0\0\x60\0\0\0\xd9\0\0\0\xb0\
\x01\0\0\x06\x64\0\0\x78\0\0\0\xd9\0\0\0\xce\x01\0\0\x0d\x68\0\0\xa8\0\0\0\xd9\
\0\0\0\xce\x01\0\0\x0b\x68\0\0\xc0\0\0\0\xd9\0\0\0\xce\x01\0\0\x03\x68\0\0\xd0\
\0\0\0\xd9\0\0\0\xf4\x01\0\0\x0b\x70\0\0\xe0\0\0\0\xd9\0\0\0\x35\x02\0\0\x02\
\xa4\0\0\x0d\x03\0\0\x0b\0\0\0\0\0\0\0\xd9\0\0\0\x62\x01\0\0\x06\x50\0\0\x18\0\
\0\0\xd9\0\0\0\x62\x01\0\0\x21\x50\0\0\x20\0\0\0\xd9\0\0\0\x62\x01\0\0\x2a\x50\
\0\0\x48\0\0\0\xd9\0\0\0\x62\x01\0\0\x27\x50\0\0\x50\0\0\0\xd9\0\0\0\x90\x01\0\
\0\x0b\x5c\0\0\x60\0\0\0\xd9\0\0\0\xb0\x01\0\0\x06\x64\0\0\x78\0\0\0\xd9\0\0\0\
\xce\x01\0\0\x0d\x68\0\0\xa0\0\0\0\xd9\0\0\0\xce\x01\0\0\x0b\x68\0\0\xb8\0\0\0\
\xd9\0\0\0\xce\x01\0\0\x03\x68\0\0\xc8\0\0\0\xd9\0\0\0\xf4\x01\0\0\x0b\x70\0\0\
\xd8\0\0\0\xd9\0\0\0\x65\x02\0\0\x02\xbc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x12\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x68\
\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x03\0\0\0\0\0\0\xe0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x04\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x05\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x68\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xaf\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x06\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x62\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x98\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x06\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xce\x01\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x06\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x04\x02\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x07\0\0\0\0\0\0\x1f\x05\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x02\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0c\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uprobe_multi_session_cookie *uprobe_multi_session_cookie::open(const struct bpf_object_open_opts *opts) { return uprobe_multi_session_cookie__open_opts(opts); }
struct uprobe_multi_session_cookie *uprobe_multi_session_cookie::open_and_load() { return uprobe_multi_session_cookie__open_and_load(); }
int uprobe_multi_session_cookie::load(struct uprobe_multi_session_cookie *skel) { return uprobe_multi_session_cookie__load(skel); }
int uprobe_multi_session_cookie::attach(struct uprobe_multi_session_cookie *skel) { return uprobe_multi_session_cookie__attach(skel); }
void uprobe_multi_session_cookie::detach(struct uprobe_multi_session_cookie *skel) { uprobe_multi_session_cookie__detach(skel); }
void uprobe_multi_session_cookie::destroy(struct uprobe_multi_session_cookie *skel) { uprobe_multi_session_cookie__destroy(skel); }
const void *uprobe_multi_session_cookie::elf_bytes(size_t *sz) { return uprobe_multi_session_cookie__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uprobe_multi_session_cookie__assert(struct uprobe_multi_session_cookie *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->test_uprobe_1_result) == 8, "unexpected size of 'test_uprobe_1_result'");
	_Static_assert(sizeof(s->bss->test_uprobe_2_result) == 8, "unexpected size of 'test_uprobe_2_result'");
	_Static_assert(sizeof(s->bss->test_uprobe_3_result) == 8, "unexpected size of 'test_uprobe_3_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPROBE_MULTI_SESSION_COOKIE_SKEL_H__ */
