/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPTR_FAILURE_SKEL_H__
#define __UPTR_FAILURE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uptr_failure {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *datamap;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *uptr_write;
		struct bpf_program *uptr_write_nested;
		struct bpf_program *uptr_no_null_check;
		struct bpf_program *uptr_kptr_xchg;
		struct bpf_program *uptr_obj_new;
	} progs;
	struct {
		struct bpf_link *uptr_write;
		struct bpf_link *uptr_write_nested;
		struct bpf_link *uptr_no_null_check;
		struct bpf_link *uptr_kptr_xchg;
		struct bpf_link *uptr_obj_new;
	} links;
	struct uptr_failure__bss {
		struct large_data *dummy_large_data;
		struct empty_data *dummy_empty_data;
		struct user_data *dummy_data;
		struct cgroup *dummy_cgrp;
	} *bss;

#ifdef __cplusplus
	static inline struct uptr_failure *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uptr_failure *open_and_load();
	static inline int load(struct uptr_failure *skel);
	static inline int attach(struct uptr_failure *skel);
	static inline void detach(struct uptr_failure *skel);
	static inline void destroy(struct uptr_failure *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uptr_failure__destroy(struct uptr_failure *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uptr_failure__create_skeleton(struct uptr_failure *obj);

static inline struct uptr_failure *
uptr_failure__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uptr_failure *obj;
	int err;

	obj = (struct uptr_failure *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uptr_failure__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uptr_failure__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uptr_failure *
uptr_failure__open(void)
{
	return uptr_failure__open_opts(NULL);
}

static inline int
uptr_failure__load(struct uptr_failure *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uptr_failure *
uptr_failure__open_and_load(void)
{
	struct uptr_failure *obj;
	int err;

	obj = uptr_failure__open();
	if (!obj)
		return NULL;
	err = uptr_failure__load(obj);
	if (err) {
		uptr_failure__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uptr_failure__attach(struct uptr_failure *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uptr_failure__detach(struct uptr_failure *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uptr_failure__elf_bytes(size_t *sz);

static inline int
uptr_failure__create_skeleton(struct uptr_failure *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uptr_failure";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "datamap";
	map->map = &obj->maps.datamap;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "uptr_fai.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uptr_write";
	s->progs[0].prog = &obj->progs.uptr_write;
	s->progs[0].link = &obj->links.uptr_write;

	s->progs[1].name = "uptr_write_nested";
	s->progs[1].prog = &obj->progs.uptr_write_nested;
	s->progs[1].link = &obj->links.uptr_write_nested;

	s->progs[2].name = "uptr_no_null_check";
	s->progs[2].prog = &obj->progs.uptr_no_null_check;
	s->progs[2].link = &obj->links.uptr_no_null_check;

	s->progs[3].name = "uptr_kptr_xchg";
	s->progs[3].prog = &obj->progs.uptr_kptr_xchg;
	s->progs[3].link = &obj->links.uptr_kptr_xchg;

	s->progs[4].name = "uptr_obj_new";
	s->progs[4].prog = &obj->progs.uptr_obj_new;
	s->progs[4].link = &obj->links.uptr_obj_new;

	s->data = uptr_failure__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uptr_failure__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x24\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x73\
\x79\x73\x63\x61\x6c\x6c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x62\x73\x73\0\x75\x70\x74\x72\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x63\0\
\x75\x70\x74\x72\x5f\x77\x72\x69\x74\x65\0\x64\x61\x74\x61\x6d\x61\x70\0\x75\
\x70\x74\x72\x5f\x77\x72\x69\x74\x65\x5f\x6e\x65\x73\x74\x65\x64\0\x75\x70\x74\
\x72\x5f\x6e\x6f\x5f\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\0\x75\x70\x74\x72\
\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\0\x75\x70\x74\x72\x5f\x6f\x62\x6a\x5f\
\x6e\x65\x77\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\x6d\x70\x6c\
\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x64\x75\x6d\x6d\x79\x5f\x6c\x61\x72\x67\x65\x5f\
\x64\x61\x74\x61\0\x64\x75\x6d\x6d\x79\x5f\x65\x6d\x70\x74\x79\x5f\x64\x61\x74\
\x61\0\x64\x75\x6d\x6d\x79\x5f\x64\x61\x74\x61\0\x64\x75\x6d\x6d\x79\x5f\x63\
\x67\x72\x70\0\x2e\x72\x65\x6c\x3f\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\x47\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x4f\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x61\0\0\0\x12\0\x03\
\0\xc0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x74\0\0\0\x12\0\x03\0\x28\x01\0\0\0\0\0\
\0\x68\0\0\0\0\0\0\0\x83\0\0\0\x12\0\x03\0\x90\x01\0\0\0\0\0\0\x70\0\0\0\0\0\0\
\0\x90\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xbc\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xcd\0\0\0\x11\0\
\x06\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xde\0\0\0\x11\0\x06\0\x10\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\xe9\0\0\0\x11\0\x06\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x85\0\0\0\x9e\0\0\0\xb7\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\
\0\0\x15\0\x01\0\0\0\0\0\x7b\x60\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x85\0\0\0\x9e\0\0\0\xb7\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\
\0\0\x15\0\x01\0\0\0\0\0\x7b\x60\x10\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x85\0\0\0\x9e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\
\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\x15\0\x03\0\0\
\0\0\0\x79\x01\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x63\x21\x08\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x9e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\
\x9c\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\
\0\xc2\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\x09\0\0\0\0\0\0\0\
\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x07\0\0\0\0\0\
\x79\x01\0\0\0\0\0\0\x15\x01\x02\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x63\x21\x08\0\0\
\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x70\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x30\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xa8\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\xe8\x01\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc8\
\x10\0\0\xc8\x10\0\0\xc9\x0b\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\x03\0\0\x04\x18\0\0\0\x24\0\0\0\x0a\0\0\
\0\0\0\0\0\x2a\0\0\0\x0b\0\0\0\x40\0\0\0\x2f\0\0\0\x0c\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\x02\xa5\0\0\0\0\0\0\0\0\0\0\x02\x9a\0\0\0\x36\0\0\0\x01\0\0\x04\x08\0\0\
\0\x24\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x43\0\0\0\x01\0\0\
\0\0\0\0\0\x48\0\0\0\x05\0\0\0\x40\0\0\0\x52\0\0\0\x07\0\0\0\x80\0\0\0\x56\0\0\
\0\x08\0\0\0\xc0\0\0\0\x5c\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x64\0\0\
\0\x0f\0\0\0\x68\0\0\0\x01\0\0\x0c\x11\0\0\0\x73\0\0\0\0\0\0\x11\x12\0\0\0\xff\
\xff\xff\xff\x8f\0\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xc2\0\0\0\x01\0\0\
\x0c\x11\0\0\0\x73\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\xd4\0\0\0\0\0\0\
\x11\x15\0\0\0\xff\xff\xff\xff\x07\x01\0\0\x01\0\0\x0c\x11\0\0\0\x73\0\0\0\0\0\
\0\x11\x18\0\0\0\xff\xff\xff\xff\x1a\x01\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\
\xff\x58\x01\0\0\x01\0\0\x0c\x11\0\0\0\x73\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\
\xff\xff\x67\x01\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x97\x01\0\0\x01\0\0\
\x0c\x11\0\0\0\x73\0\0\0\0\0\0\x11\x1e\0\0\0\xff\xff\xff\xff\xa4\x01\0\0\0\0\0\
\x11\x1e\0\0\0\xff\xff\xff\xff\0\0\0\0\x02\0\0\x0d\x22\0\0\0\0\0\0\0\x23\0\0\0\
\0\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\xda\x01\0\0\0\0\0\x08\x24\0\0\0\
\xe0\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xf3\x01\0\0\x02\0\0\x0c\x21\0\0\0\0\
\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\x22\0\0\0\x04\x02\0\0\x02\
\0\0\x0c\x26\0\0\0\x16\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x28\0\0\0\x04\0\0\0\x04\0\0\0\x1b\x02\0\0\0\0\0\x0e\x29\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\x24\x02\0\0\x02\0\0\x04\x04\x10\0\0\x2f\x02\
\0\0\x2f\0\0\0\0\0\0\0\x38\x02\0\0\x02\0\0\0\0\x80\0\0\x3a\x02\0\0\0\0\0\x08\
\x2e\0\0\0\x3f\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x2d\0\0\0\x04\0\0\0\0\x10\0\0\x4d\x02\0\0\0\0\0\x0e\x2b\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x32\0\0\0\x5e\x02\0\0\0\0\0\x04\0\0\0\0\x69\x02\0\0\0\0\0\x0e\x31\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x35\0\0\0\x7a\x02\0\0\x04\0\0\x04\x10\0\0\0\
\x38\x02\0\0\x02\0\0\0\0\0\0\0\x84\x02\0\0\x02\0\0\0\x20\0\0\0\x86\x02\0\0\x02\
\0\0\0\x40\0\0\0\x8d\x02\0\0\x02\0\0\0\x60\0\0\0\x9b\x02\0\0\0\0\0\x0e\x34\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x38\0\0\0\xa6\x02\0\0\x2a\0\0\x04\0\x08\0\0\xad\
\x02\0\0\x39\0\0\0\0\0\0\0\xb2\x02\0\0\x3c\0\0\0\x80\x06\0\0\xb8\x02\0\0\x02\0\
\0\0\xc0\x06\0\0\xbe\x02\0\0\x02\0\0\0\xe0\x06\0\0\xc8\x02\0\0\x02\0\0\0\0\x07\
\0\0\xd7\x02\0\0\x02\0\0\0\x20\x07\0\0\xec\x02\0\0\x02\0\0\0\x40\x07\0\0\xfc\
\x02\0\0\x02\0\0\0\x60\x07\0\0\x0f\x03\0\0\x02\0\0\0\x80\x07\0\0\x2c\x03\0\0\
\x02\0\0\0\xa0\x07\0\0\x4b\x03\0\0\x02\0\0\0\xc0\x07\0\0\x60\x03\0\0\x56\0\0\0\
\0\x08\0\0\x63\x03\0\0\x57\0\0\0\x40\x08\0\0\x6e\x03\0\0\x57\0\0\0\0\x0a\0\0\
\x7a\x03\0\0\x61\0\0\0\xc0\x0b\0\0\x84\x03\0\0\x62\0\0\0\0\x11\0\0\x94\x03\0\0\
\x62\0\0\0\x10\x11\0\0\xa4\x03\0\0\x62\0\0\0\x20\x11\0\0\xb8\x03\0\0\x62\0\0\0\
\x30\x11\0\0\xcc\x03\0\0\x65\0\0\0\x40\x11\0\0\xd3\x03\0\0\x66\0\0\0\0\x15\0\0\
\xe3\x03\0\0\x67\0\0\0\0\x17\0\0\xe8\x03\0\0\x3e\0\0\0\x40\x17\0\0\xf3\x03\0\0\
\x68\0\0\0\xc0\x17\0\0\xfb\x03\0\0\x37\0\0\0\x40\x1f\0\0\x04\x04\0\0\x37\0\0\0\
\x80\x1f\0\0\x11\x04\0\0\x69\0\0\0\xc0\x1f\0\0\x1b\x04\0\0\x3e\0\0\0\0\x20\0\0\
\x2a\x04\0\0\x6a\0\0\0\0\x22\0\0\x30\x04\0\0\x37\0\0\0\0\x22\0\0\x41\x04\0\0\
\x6c\0\0\0\x40\x22\0\0\x4c\x04\0\0\x6c\0\0\0\x40\x23\0\0\x52\x04\0\0\x6e\0\0\0\
\x40\x24\0\0\x5f\x04\0\0\x3e\0\0\0\0\x25\0\0\x68\x04\0\0\x77\0\0\0\x80\x25\0\0\
\x76\x04\0\0\x79\0\0\0\x80\x26\0\0\x84\x04\0\0\x44\0\0\0\x40\x27\0\0\x97\x04\0\
\0\x7e\0\0\0\x40\x28\0\0\x9b\x04\0\0\x7f\0\0\0\x80\x28\0\0\x9f\x04\0\0\x93\0\0\
\0\0\x3f\0\0\xa7\x04\0\0\x96\0\0\0\x80\x3f\0\0\xb8\x04\0\0\x97\0\0\0\xc0\x3f\0\
\0\xc2\x04\0\0\x0e\0\0\x04\xd0\0\0\0\xa6\x02\0\0\x37\0\0\0\0\0\0\0\xd6\x04\0\0\
\x3a\0\0\0\x40\0\0\0\xd9\x04\0\0\x3b\0\0\0\x80\0\0\0\xe0\x04\0\0\x3e\0\0\0\0\
\x01\0\0\xe8\x04\0\0\x3e\0\0\0\x80\x01\0\0\xf1\x04\0\0\x3e\0\0\0\0\x02\0\0\0\
\x05\0\0\x02\0\0\0\x80\x02\0\0\xb2\x02\0\0\x40\0\0\0\xa0\x02\0\0\x03\x05\0\0\
\x41\0\0\0\xc0\x02\0\0\x0d\x05\0\0\x42\0\0\0\0\x03\0\0\x18\x05\0\0\x44\0\0\0\
\x40\x03\0\0\x25\x05\0\0\x4f\0\0\0\x40\x04\0\0\x33\x05\0\0\x55\0\0\0\0\x06\0\0\
\xc8\x02\0\0\x02\0\0\0\x40\x06\0\0\0\0\0\0\0\0\0\x02\x9f\0\0\0\x3a\x05\0\0\x02\
\0\0\x04\x10\0\0\0\x45\x05\0\0\x3c\0\0\0\0\0\0\0\x56\x05\0\0\x3d\0\0\0\x40\0\0\
\0\x5b\x05\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x99\0\0\0\x69\
\x05\0\0\x02\0\0\x04\x10\0\0\0\x73\x05\0\0\x3f\0\0\0\0\0\0\0\x78\x05\0\0\x3f\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x3e\0\0\0\x7d\x05\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\x8a\x05\0\0\0\0\0\x08\x23\0\0\0\x8e\x05\0\0\0\0\0\x08\x43\0\0\0\0\0\0\0\
\x01\0\0\x04\x04\0\0\0\x97\x05\0\0\x02\0\0\0\0\0\0\0\x9f\x05\0\0\x03\0\0\x04\
\x20\0\0\0\x56\x05\0\0\x45\0\0\0\0\0\0\0\xab\x05\0\0\x3e\0\0\0\x40\0\0\0\xb1\
\x05\0\0\x4b\0\0\0\xc0\0\0\0\xb6\x05\0\0\0\0\0\x08\x46\0\0\0\xc4\x05\0\0\0\0\0\
\x08\x47\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x97\x05\0\0\x48\0\0\0\0\0\0\0\xcf\
\x05\0\0\0\0\0\x08\x49\0\0\0\xd3\x05\0\0\0\0\0\x08\x4a\0\0\0\xd9\x05\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\x01\xe3\x05\0\0\0\0\0\x08\x4c\0\0\0\0\0\0\0\0\0\0\x02\
\x4d\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x4e\0\0\0\0\0\0\0\0\0\0\x02\x44\
\0\0\0\xef\x05\0\0\x03\0\0\x04\x38\0\0\0\xf8\x05\0\0\x44\0\0\0\0\0\0\0\xfd\x05\
\0\0\x50\0\0\0\0\x01\0\0\x01\x06\0\0\x54\0\0\0\x80\x01\0\0\x04\x06\0\0\x02\0\0\
\x04\x10\0\0\0\x73\x05\0\0\x51\0\0\0\0\0\0\0\xb1\x05\0\0\x52\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\0\0\0\0\x02\x53\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\
\0\0\0\0\0\0\x51\0\0\0\0\0\0\0\0\0\0\x02\xa1\0\0\0\0\0\0\0\0\0\0\x02\x39\0\0\0\
\0\0\0\0\0\0\0\x02\x9b\0\0\0\x12\x06\0\0\x03\0\0\x04\x38\0\0\0\x60\x03\0\0\x56\
\0\0\0\0\0\0\0\x1e\x06\0\0\x3c\0\0\0\x40\0\0\0\x2a\x06\0\0\x58\0\0\0\x80\0\0\0\
\x37\x06\0\0\x04\0\0\x04\x28\0\0\0\xab\x05\0\0\x59\0\0\0\0\0\0\0\x42\x06\0\0\
\x3c\0\0\0\x80\0\0\0\x4a\x06\0\0\x5c\0\0\0\xc0\0\0\0\xb2\x02\0\0\x5f\0\0\0\0\
\x01\0\0\x53\x06\0\0\x02\0\0\x04\x10\0\0\0\x73\x05\0\0\x5a\0\0\0\0\0\0\0\x5e\
\x06\0\0\x5b\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x59\0\0\0\0\0\0\0\0\0\0\x02\x5a\
\0\0\0\0\0\0\0\0\0\0\x02\x5d\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x5e\0\0\
\0\0\0\0\0\0\0\0\x02\x58\0\0\0\x64\x06\0\0\0\0\0\x08\x60\0\0\0\x68\x06\0\0\0\0\
\0\x08\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x57\0\0\0\x04\0\0\0\x03\0\0\0\x6e\
\x06\0\0\0\0\0\x08\x63\0\0\0\x72\x06\0\0\0\0\0\x08\x64\0\0\0\x78\x06\0\0\0\0\0\
\x01\x02\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x55\0\0\0\x04\0\0\0\x0f\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\x02\
\x9d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x3e\0\0\0\x04\0\0\0\x0f\0\0\0\0\0\0\0\0\0\
\0\x02\x9e\0\0\0\x87\x06\0\0\x01\0\0\x04\0\0\0\0\x99\x06\0\0\x6b\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x28\0\0\0\x04\0\0\0\0\0\0\0\x9b\x06\0\0\x02\0\0\x04\
\x20\0\0\0\xac\x06\0\0\x6d\0\0\0\0\0\0\0\xb4\x06\0\0\x41\0\0\0\xc0\0\0\0\xc2\
\x06\0\0\x03\0\0\x04\x18\0\0\0\xcf\x06\0\0\x41\0\0\0\0\0\0\0\xd5\x06\0\0\x41\0\
\0\0\x40\0\0\0\xdb\x06\0\0\x24\0\0\0\x80\0\0\0\x52\x04\0\0\x03\0\0\x04\x18\0\0\
\0\xd5\x06\0\0\x41\0\0\0\0\0\0\0\xcf\x06\0\0\x41\0\0\0\x40\0\0\0\xec\x06\0\0\
\x6f\0\0\0\x80\0\0\0\xf1\x06\0\0\0\0\0\x08\x70\0\0\0\0\x07\0\0\x01\0\0\x04\x04\
\0\0\0\x0d\x07\0\0\x71\0\0\0\0\0\0\0\x16\x07\0\0\0\0\0\x08\x72\0\0\0\x26\x07\0\
\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x73\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\
\0\x30\x07\0\0\x42\0\0\0\0\0\0\0\0\0\0\0\x74\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\0\0\x34\x07\0\0\x75\0\0\0\0\0\0\0\x3b\x07\0\0\
\x75\0\0\0\x08\0\0\0\x43\x07\0\0\0\0\0\x08\x2d\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\
\0\0\x46\x07\0\0\x62\0\0\0\0\0\0\0\x55\x07\0\0\x62\0\0\0\x10\0\0\0\x5a\x07\0\0\
\x04\0\0\x04\x20\0\0\0\x60\x07\0\0\x45\0\0\0\0\0\0\0\x66\x07\0\0\x6f\0\0\0\x40\
\0\0\0\x70\x07\0\0\x78\0\0\0\x60\0\0\0\x74\x07\0\0\x3e\0\0\0\x80\0\0\0\x7e\x07\
\0\0\x01\0\0\x04\x04\0\0\0\x55\x07\0\0\x42\0\0\0\0\0\0\0\x94\x07\0\0\0\0\0\x08\
\x7a\0\0\0\xa6\x07\0\0\x02\0\0\x04\x18\0\0\0\xec\x06\0\0\x7b\0\0\0\0\0\0\0\xb6\
\x07\0\0\x3e\0\0\0\x40\0\0\0\xbb\x07\0\0\0\0\0\x08\x7c\0\0\0\xc6\x07\0\0\x01\0\
\0\x04\x04\0\0\0\0\0\0\0\x7d\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x04\0\0\0\xcf\
\x07\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa0\0\0\0\xd5\x07\0\0\x07\0\0\x04\
\xd0\x02\0\0\xe0\x07\0\0\x8f\0\0\0\0\0\0\0\xea\x07\0\0\x91\0\0\0\x80\x09\0\0\
\xb2\x02\0\0\x92\0\0\0\0\x13\0\0\xf0\x07\0\0\x3e\0\0\0\x40\x14\0\0\xf9\x07\0\0\
\x80\0\0\0\xc0\x14\0\0\xd9\x04\0\0\x3b\0\0\0\0\x15\0\0\x02\x08\0\0\x44\0\0\0\
\x80\x15\0\0\0\0\0\0\0\0\0\x02\x81\0\0\0\x0f\x08\0\0\x02\0\0\x04\x10\0\0\0\xfd\
\x05\0\0\x50\0\0\0\0\0\0\0\x1e\x08\0\0\x8e\0\0\0\x80\0\0\0\x24\x08\0\0\x02\0\0\
\x04\x18\0\0\0\x38\x08\0\0\x83\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\x02\xa2\0\0\0\0\0\0\0\x02\0\0\x05\x10\0\0\0\x3d\x08\0\0\x8d\0\0\0\0\0\
\0\0\x4c\x08\0\0\x41\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x86\0\0\0\x57\x08\0\0\x07\
\0\0\x04\x68\0\0\0\0\0\0\0\x87\0\0\0\0\0\0\0\x6a\x08\0\0\x89\0\0\0\x40\0\0\0\
\x52\0\0\0\x8a\0\0\0\x80\0\0\0\x6e\x08\0\0\x3e\0\0\0\0\x01\0\0\x77\x08\0\0\x3e\
\0\0\0\x80\x01\0\0\x7f\x08\0\0\x8b\0\0\0\0\x02\0\0\xfd\x05\0\0\x50\0\0\0\xc0\
\x02\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x84\x08\0\0\x88\0\0\0\0\0\0\0\x88\x08\0\
\0\x22\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa3\0\0\0\0\0\0\0\0\0\0\x02\xa4\0\0\0\
\x93\x08\0\0\x02\0\0\x04\x10\0\0\0\xaa\x08\0\0\x23\0\0\0\0\0\0\0\xba\x08\0\0\
\x60\0\0\0\x40\0\0\0\xc6\x08\0\0\x03\0\0\x04\x18\0\0\0\xce\x08\0\0\x3c\0\0\0\0\
\0\0\0\xe0\x08\0\0\x8c\0\0\0\x40\0\0\0\xe9\x08\0\0\x8c\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\x02\x8b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x85\0\0\0\x04\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x82\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x80\0\0\0\x04\0\0\0\x26\0\0\0\xf1\x08\0\0\x01\0\0\x04\x08\0\0\0\xfc\x08\0\0\
\x5a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x90\0\0\0\x04\0\0\0\x26\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x75\0\0\0\x04\0\0\0\x26\0\0\0\x02\x09\0\0\x04\0\0\x04\
\x10\0\0\0\x17\x09\0\0\x94\0\0\0\0\0\0\0\x1e\x09\0\0\x02\0\0\0\x20\0\0\0\x27\
\x09\0\0\x02\0\0\0\x40\0\0\0\x3d\x09\0\0\x02\0\0\0\x60\0\0\0\x4d\x09\0\0\0\0\0\
\x08\x95\0\0\0\x52\x09\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\0\0\0\x02\
\x9c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x37\0\0\0\x04\0\0\0\0\0\0\0\x58\x09\0\0\0\
\0\0\x0e\x37\0\0\0\x01\0\0\0\x63\x09\0\0\0\0\0\x07\0\0\0\0\x73\x09\0\0\0\0\0\
\x12\x38\0\0\0\x78\x09\0\0\0\0\0\x07\0\0\0\0\x84\x09\0\0\0\0\0\x07\0\0\0\0\x96\
\x09\0\0\0\0\0\x07\0\0\0\0\xa2\x09\0\0\0\0\0\x07\0\0\0\0\xb3\x09\0\0\0\0\0\x07\
\0\0\0\0\xc1\x09\0\0\0\0\0\x07\0\0\0\0\xcb\x09\0\0\0\0\0\x07\0\0\0\0\xdc\x09\0\
\0\0\0\0\x07\0\0\0\0\xe5\x09\0\0\0\0\0\x07\0\0\0\0\xf8\x09\0\0\0\0\0\x07\0\0\0\
\0\x0f\x0a\0\0\0\0\0\x12\x35\0\0\0\xa6\x0b\0\0\x01\0\0\x0f\x20\0\0\0\x0e\0\0\0\
\0\0\0\0\x20\0\0\0\xac\x0b\0\0\x01\0\0\x0f\x04\0\0\0\x2a\0\0\0\0\0\0\0\x04\0\0\
\0\xb4\x0b\0\0\x04\0\0\x0f\x20\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x33\0\0\0\x08\
\0\0\0\x08\0\0\0\x36\0\0\0\x10\0\0\0\x08\0\0\0\x98\0\0\0\x18\0\0\0\x08\0\0\0\
\xb9\x0b\0\0\x02\0\0\x0f\0\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\0\
\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\0\x75\x64\x61\
\x74\x61\0\x63\x67\x72\x70\0\x6e\x65\x73\x74\x65\x64\0\x6e\x65\x73\x74\x65\x64\
\x5f\x75\x64\x61\x74\x61\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\
\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x64\x61\x74\x61\x6d\x61\x70\0\x63\
\x74\x78\0\x75\x70\x74\x72\x5f\x77\x72\x69\x74\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\
\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x73\x74\x6f\x72\x65\x20\x74\x6f\x20\x75\
\x70\x74\x72\x20\x64\x69\x73\x61\x6c\x6c\x6f\x77\x65\x64\0\x75\x70\x74\x72\x5f\
\x77\x72\x69\x74\x65\x5f\x6e\x65\x73\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\
\x73\x74\x6f\x72\x65\x20\x74\x6f\x20\x75\x70\x74\x72\x20\x64\x69\x73\x61\x6c\
\x6c\x6f\x77\x65\x64\0\x75\x70\x74\x72\x5f\x6e\x6f\x5f\x6e\x75\x6c\x6c\x5f\x63\
\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x52\x31\x20\x69\x6e\x76\x61\x6c\
\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x6d\x65\x6d\x5f\
\x6f\x72\x5f\x6e\x75\x6c\x6c\x27\0\x75\x70\x74\x72\x5f\x6b\x70\x74\x72\x5f\x78\
\x63\x68\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x64\x6f\x65\x73\x6e\x27\x74\x20\x70\
\x6f\x69\x6e\x74\x20\x74\x6f\x20\x6b\x70\x74\x72\0\x75\x70\x74\x72\x5f\x6f\x62\
\x6a\x5f\x6e\x65\x77\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x69\x6e\x76\x61\x6c\x69\x64\
\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x63\x61\x6c\x61\x72\
\x27\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x6e\x65\x77\x5f\x69\
\x6d\x70\x6c\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\
\x6c\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x61\x72\x67\x65\
\x5f\x64\x61\x74\x61\0\x6f\x6e\x65\x5f\x70\x61\x67\x65\0\x61\0\x5f\x5f\x75\x38\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x64\x75\x6d\x6d\x79\
\x5f\x6c\x61\x72\x67\x65\x5f\x64\x61\x74\x61\0\x65\x6d\x70\x74\x79\x5f\x64\x61\
\x74\x61\0\x64\x75\x6d\x6d\x79\x5f\x65\x6d\x70\x74\x79\x5f\x64\x61\x74\x61\0\
\x75\x73\x65\x72\x5f\x64\x61\x74\x61\0\x62\0\x72\x65\x73\x75\x6c\x74\0\x6e\x65\
\x73\x74\x65\x64\x5f\x72\x65\x73\x75\x6c\x74\0\x64\x75\x6d\x6d\x79\x5f\x64\x61\
\x74\x61\0\x63\x67\x72\x6f\x75\x70\0\x73\x65\x6c\x66\0\x66\x6c\x61\x67\x73\0\
\x6c\x65\x76\x65\x6c\0\x6d\x61\x78\x5f\x64\x65\x70\x74\x68\0\x6e\x72\x5f\x64\
\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6e\x72\x5f\x64\x79\x69\x6e\x67\x5f\
\x64\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6d\x61\x78\x5f\x64\x65\x73\x63\
\x65\x6e\x64\x61\x6e\x74\x73\0\x6e\x72\x5f\x70\x6f\x70\x75\x6c\x61\x74\x65\x64\
\x5f\x63\x73\x65\x74\x73\0\x6e\x72\x5f\x70\x6f\x70\x75\x6c\x61\x74\x65\x64\x5f\
\x64\x6f\x6d\x61\x69\x6e\x5f\x63\x68\x69\x6c\x64\x72\x65\x6e\0\x6e\x72\x5f\x70\
\x6f\x70\x75\x6c\x61\x74\x65\x64\x5f\x74\x68\x72\x65\x61\x64\x65\x64\x5f\x63\
\x68\x69\x6c\x64\x72\x65\x6e\0\x6e\x72\x5f\x74\x68\x72\x65\x61\x64\x65\x64\x5f\
\x63\x68\x69\x6c\x64\x72\x65\x6e\0\x6b\x6e\0\x70\x72\x6f\x63\x73\x5f\x66\x69\
\x6c\x65\0\x65\x76\x65\x6e\x74\x73\x5f\x66\x69\x6c\x65\0\x70\x73\x69\x5f\x66\
\x69\x6c\x65\x73\0\x73\x75\x62\x74\x72\x65\x65\x5f\x63\x6f\x6e\x74\x72\x6f\x6c\
\0\x73\x75\x62\x74\x72\x65\x65\x5f\x73\x73\x5f\x6d\x61\x73\x6b\0\x6f\x6c\x64\
\x5f\x73\x75\x62\x74\x72\x65\x65\x5f\x63\x6f\x6e\x74\x72\x6f\x6c\0\x6f\x6c\x64\
\x5f\x73\x75\x62\x74\x72\x65\x65\x5f\x73\x73\x5f\x6d\x61\x73\x6b\0\x73\x75\x62\
\x73\x79\x73\0\x6e\x72\x5f\x64\x79\x69\x6e\x67\x5f\x73\x75\x62\x73\x79\x73\0\
\x72\x6f\x6f\x74\0\x63\x73\x65\x74\x5f\x6c\x69\x6e\x6b\x73\0\x65\x5f\x63\x73\
\x65\x74\x73\0\x64\x6f\x6d\x5f\x63\x67\x72\x70\0\x6f\x6c\x64\x5f\x64\x6f\x6d\
\x5f\x63\x67\x72\x70\0\x72\x73\x74\x61\x74\x5f\x63\x70\x75\0\x72\x73\x74\x61\
\x74\x5f\x63\x73\x73\x5f\x6c\x69\x73\x74\0\x5f\x70\x61\x64\x5f\0\x72\x73\x74\
\x61\x74\x5f\x66\x6c\x75\x73\x68\x5f\x6e\x65\x78\x74\0\x6c\x61\x73\x74\x5f\x62\
\x73\x74\x61\x74\0\x62\x73\x74\x61\x74\0\x70\x72\x65\x76\x5f\x63\x70\x75\x74\
\x69\x6d\x65\0\x70\x69\x64\x6c\x69\x73\x74\x73\0\x70\x69\x64\x6c\x69\x73\x74\
\x5f\x6d\x75\x74\x65\x78\0\x6f\x66\x66\x6c\x69\x6e\x65\x5f\x77\x61\x69\x74\x71\
\0\x72\x65\x6c\x65\x61\x73\x65\x5f\x61\x67\x65\x6e\x74\x5f\x77\x6f\x72\x6b\0\
\x70\x73\x69\0\x62\x70\x66\0\x66\x72\x65\x65\x7a\x65\x72\0\x62\x70\x66\x5f\x63\
\x67\x72\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x61\x6e\x63\x65\x73\x74\x6f\x72\
\x73\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x75\x62\x73\x79\x73\x5f\x73\x74\x61\x74\
\x65\0\x73\x73\0\x72\x65\x66\x63\x6e\x74\0\x73\x69\x62\x6c\x69\x6e\x67\0\x63\
\x68\x69\x6c\x64\x72\x65\x6e\0\x72\x73\x74\x61\x74\x5f\x63\x73\x73\x5f\x6e\x6f\
\x64\x65\0\x69\x64\0\x73\x65\x72\x69\x61\x6c\x5f\x6e\x72\0\x6f\x6e\x6c\x69\x6e\
\x65\x5f\x63\x6e\x74\0\x64\x65\x73\x74\x72\x6f\x79\x5f\x77\x6f\x72\x6b\0\x64\
\x65\x73\x74\x72\x6f\x79\x5f\x72\x77\x6f\x72\x6b\0\x70\x61\x72\x65\x6e\x74\0\
\x70\x65\x72\x63\x70\x75\x5f\x72\x65\x66\0\x70\x65\x72\x63\x70\x75\x5f\x63\x6f\
\x75\x6e\x74\x5f\x70\x74\x72\0\x64\x61\x74\x61\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\
\x74\0\x70\x72\x65\x76\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\
\x36\x34\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x77\
\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\
\x63\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\
\x69\x63\x36\x34\x5f\x74\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x72\x63\
\x75\x5f\x77\x6f\x72\x6b\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\x77\x71\0\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x63\x67\x72\x6f\x75\x70\x5f\x66\
\x69\x6c\x65\0\x6e\x6f\x74\x69\x66\x69\x65\x64\x5f\x61\x74\0\x6e\x6f\x74\x69\
\x66\x79\x5f\x74\x69\x6d\x65\x72\0\x74\x69\x6d\x65\x72\x5f\x6c\x69\x73\x74\0\
\x65\x78\x70\x69\x72\x65\x73\0\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x68\x6c\x69\
\x73\x74\x5f\x6e\x6f\x64\x65\0\x70\x70\x72\x65\x76\0\x75\x33\x32\0\x5f\x5f\x75\
\x33\x32\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x73\x68\x6f\x72\x74\0\x63\x61\x63\x68\x65\x6c\x69\x6e\x65\x5f\x70\x61\x64\
\x64\x69\x6e\x67\0\x78\0\x63\x67\x72\x6f\x75\x70\x5f\x62\x61\x73\x65\x5f\x73\
\x74\x61\x74\0\x63\x70\x75\x74\x69\x6d\x65\0\x66\x6f\x72\x63\x65\x69\x64\x6c\
\x65\x5f\x73\x75\x6d\0\x74\x61\x73\x6b\x5f\x63\x70\x75\x74\x69\x6d\x65\0\x73\
\x74\x69\x6d\x65\0\x75\x74\x69\x6d\x65\0\x73\x75\x6d\x5f\x65\x78\x65\x63\x5f\
\x72\x75\x6e\x74\x69\x6d\x65\0\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\x70\x69\
\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\
\x6f\x63\x6b\x5f\x74\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x6c\
\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\x64\x69\x6e\x67\0\x75\x38\0\x6c\x6f\x63\x6b\
\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x74\x61\x69\x6c\0\x6d\x75\x74\x65\
\x78\0\x6f\x77\x6e\x65\x72\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\
\0\x77\x61\x69\x74\x5f\x6c\x69\x73\x74\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\
\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\x75\x65\0\x77\x61\x69\x74\x5f\x71\x75\
\x65\x75\x65\x5f\x68\x65\x61\x64\x5f\x74\0\x77\x61\x69\x74\x5f\x71\x75\x65\x75\
\x65\x5f\x68\x65\x61\x64\0\x68\x65\x61\x64\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x63\x67\x72\
\x6f\x75\x70\x5f\x62\x70\x66\0\x65\x66\x66\x65\x63\x74\x69\x76\x65\0\x70\x72\
\x6f\x67\x73\0\x73\x74\x6f\x72\x61\x67\x65\x73\0\x69\x6e\x61\x63\x74\x69\x76\
\x65\0\x72\x65\x6c\x65\x61\x73\x65\x5f\x77\x6f\x72\x6b\0\x62\x70\x66\x5f\x70\
\x72\x6f\x67\x5f\x61\x72\x72\x61\x79\0\x69\x74\x65\x6d\x73\0\x62\x70\x66\x5f\
\x70\x72\x6f\x67\x5f\x61\x72\x72\x61\x79\x5f\x69\x74\x65\x6d\0\x70\x72\x6f\x67\
\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x62\x70\x66\x5f\
\x63\x6f\x6f\x6b\x69\x65\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\
\x6f\x72\x61\x67\x65\0\x6d\x61\x70\0\x6c\x69\x73\x74\x5f\x6d\x61\x70\0\x6c\x69\
\x73\x74\x5f\x63\x67\0\x6e\x6f\x64\x65\0\x62\x75\x66\0\x70\x65\x72\x63\x70\x75\
\x5f\x62\x75\x66\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\x65\
\x5f\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x72\x62\x5f\x6e\
\x6f\x64\x65\0\x5f\x5f\x72\x62\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\
\x72\0\x72\x62\x5f\x72\x69\x67\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x68\x6c\
\x69\x73\x74\x5f\x68\x65\x61\x64\0\x66\x69\x72\x73\x74\0\x63\x67\x72\x6f\x75\
\x70\x5f\x66\x72\x65\x65\x7a\x65\x72\x5f\x73\x74\x61\x74\x65\0\x66\x72\x65\x65\
\x7a\x65\0\x65\x5f\x66\x72\x65\x65\x7a\x65\0\x6e\x72\x5f\x66\x72\x6f\x7a\x65\
\x6e\x5f\x64\x65\x73\x63\x65\x6e\x64\x61\x6e\x74\x73\0\x6e\x72\x5f\x66\x72\x6f\
\x7a\x65\x6e\x5f\x74\x61\x73\x6b\x73\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\
\x64\x75\x6d\x6d\x79\x5f\x63\x67\x72\x70\0\x70\x65\x72\x63\x70\x75\x5f\x72\x65\
\x66\x5f\x64\x61\x74\x61\0\x6b\x70\x74\x72\0\x6b\x65\x72\x6e\x66\x73\x5f\x6e\
\x6f\x64\x65\0\x62\x70\x66\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\
\x65\0\x63\x67\x72\x6f\x75\x70\x5f\x72\x6f\x6f\x74\0\x63\x67\x72\x6f\x75\x70\
\x5f\x72\x73\x74\x61\x74\x5f\x63\x70\x75\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x75\
\x62\x73\x79\x73\0\x70\x73\x69\x5f\x67\x72\x6f\x75\x70\0\x77\x6f\x72\x6b\x71\
\x75\x65\x75\x65\x5f\x73\x74\x72\x75\x63\x74\0\x62\x70\x66\x5f\x70\x72\x6f\x67\
\0\x62\x70\x66\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x75\x66\x66\x65\x72\0\
\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\
\x6d\x61\x70\0\x75\x70\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x39\x38\x2e\x65\x6c\x31\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x39\x38\x2e\x65\x6c\x31\x30\x2e\x61\x61\x72\
\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x75\x70\x74\x72\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x63\0\x09\x74\x61\x73\
\x6b\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\
\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x3b\0\x09\x76\x20\x3d\x20\x62\x70\
\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\
\x26\x64\x61\x74\x61\x6d\x61\x70\x2c\x20\x74\x61\x73\x6b\x2c\x20\x30\x2c\0\x09\
\x69\x66\x20\x28\x21\x76\x29\0\x09\x76\x2d\x3e\x75\x64\x61\x74\x61\x20\x3d\x20\
\x4e\x55\x4c\x4c\x3b\0\x7d\0\x09\x76\x2d\x3e\x6e\x65\x73\x74\x65\x64\x2e\x75\
\x64\x61\x74\x61\x20\x3d\x20\x4e\x55\x4c\x4c\x3b\0\x09\x76\x2d\x3e\x75\x64\x61\
\x74\x61\x2d\x3e\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\
\x5f\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x28\x26\x76\x2d\x3e\x75\x64\x61\x74\
\x61\x2c\x20\x4e\x55\x4c\x4c\x29\x3b\0\x09\x76\x20\x3d\x20\x62\x70\x66\x5f\x6f\
\x62\x6a\x5f\x6e\x65\x77\x28\x74\x79\x70\x65\x6f\x66\x28\x2a\x76\x29\x29\x3b\0\
\x09\x69\x66\x20\x28\x76\x2d\x3e\x75\x64\x61\x74\x61\x29\0\x09\x09\x76\x2d\x3e\
\x75\x64\x61\x74\x61\x2d\x3e\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x30\x3b\0\x09\
\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x76\x29\x3b\0\x30\0\x2e\
\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\
\x79\x6d\x73\0\x3f\x73\x79\x73\x63\x61\x6c\x6c\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xcc\x01\0\0\0\x02\0\0\x1c\0\0\0\x08\0\0\
\0\xc0\x0b\0\0\x05\0\0\0\0\0\0\0\x12\0\0\0\x60\0\0\0\x15\0\0\0\xc0\0\0\0\x18\0\
\0\0\x28\x01\0\0\x1b\0\0\0\x90\x01\0\0\x1e\0\0\0\x10\0\0\0\xc0\x0b\0\0\x1c\0\0\
\0\0\0\0\0\x14\x0a\0\0\x8e\x0a\0\0\x09\x60\0\0\x10\0\0\0\x14\x0a\0\0\xb2\x0a\0\
\0\x06\x64\0\0\x40\0\0\0\x14\x0a\0\0\xdf\x0a\0\0\x06\x6c\0\0\x48\0\0\0\x14\x0a\
\0\0\xe8\x0a\0\0\x0b\x78\0\0\x50\0\0\0\x14\x0a\0\0\xfa\x0a\0\0\x01\x80\0\0\x60\
\0\0\0\x14\x0a\0\0\x8e\x0a\0\0\x09\xa4\0\0\x70\0\0\0\x14\x0a\0\0\xb2\x0a\0\0\
\x06\xa8\0\0\xa0\0\0\0\x14\x0a\0\0\xdf\x0a\0\0\x06\xb0\0\0\xa8\0\0\0\x14\x0a\0\
\0\xfc\x0a\0\0\x12\xbc\0\0\xb0\0\0\0\x14\x0a\0\0\xfa\x0a\0\0\x01\xc4\0\0\xc0\0\
\0\0\x14\x0a\0\0\x8e\x0a\0\0\x09\xe8\0\0\xc8\0\0\0\x14\x0a\0\0\xb2\x0a\0\0\x06\
\xec\0\0\xf8\0\0\0\x14\x0a\0\0\xdf\x0a\0\0\x06\xf4\0\0\0\x01\0\0\x14\x0a\0\0\
\x15\x0b\0\0\x05\0\x01\0\x10\x01\0\0\x14\x0a\0\0\x15\x0b\0\0\x13\0\x01\0\x18\
\x01\0\0\x14\x0a\0\0\xfa\x0a\0\0\x01\x0c\x01\0\x28\x01\0\0\x14\x0a\0\0\x8e\x0a\
\0\0\x09\x30\x01\0\x30\x01\0\0\x14\x0a\0\0\xb2\x0a\0\0\x06\x34\x01\0\x60\x01\0\
\0\x14\x0a\0\0\xdf\x0a\0\0\x06\x3c\x01\0\x68\x01\0\0\x14\x0a\0\0\x2c\x0b\0\0\
\x02\x48\x01\0\x80\x01\0\0\x14\x0a\0\0\xfa\x0a\0\0\x01\x54\x01\0\x90\x01\0\0\
\x14\x0a\0\0\x4d\x0b\0\0\x06\x74\x01\0\xb0\x01\0\0\x14\x0a\0\0\xdf\x0a\0\0\x06\
\x78\x01\0\xb8\x01\0\0\x14\x0a\0\0\x6b\x0b\0\0\x09\x84\x01\0\xc0\x01\0\0\x14\
\x0a\0\0\x6b\x0b\0\0\x06\x84\x01\0\xd0\x01\0\0\x14\x0a\0\0\x7a\x0b\0\0\x14\x88\
\x01\0\xd8\x01\0\0\x14\x0a\0\0\x92\x0b\0\0\x02\x90\x01\0\xf0\x01\0\0\x14\x0a\0\
\0\xfa\x0a\0\0\x01\x9c\x01\0\x10\0\0\0\xc0\x0b\0\0\x01\0\0\0\x90\x01\0\0\x09\0\
\0\0\xa4\x0b\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x0f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x80\x01\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf0\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\
\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf4\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x04\0\0\0\0\0\
\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x01\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\xa9\
\x1c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x22\0\0\0\0\0\0\x3c\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uptr_failure *uptr_failure::open(const struct bpf_object_open_opts *opts) { return uptr_failure__open_opts(opts); }
struct uptr_failure *uptr_failure::open_and_load() { return uptr_failure__open_and_load(); }
int uptr_failure::load(struct uptr_failure *skel) { return uptr_failure__load(skel); }
int uptr_failure::attach(struct uptr_failure *skel) { return uptr_failure__attach(skel); }
void uptr_failure::detach(struct uptr_failure *skel) { uptr_failure__detach(skel); }
void uptr_failure::destroy(struct uptr_failure *skel) { uptr_failure__destroy(skel); }
const void *uptr_failure::elf_bytes(size_t *sz) { return uptr_failure__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uptr_failure__assert(struct uptr_failure *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->dummy_large_data) == 8, "unexpected size of 'dummy_large_data'");
	_Static_assert(sizeof(s->bss->dummy_empty_data) == 8, "unexpected size of 'dummy_empty_data'");
	_Static_assert(sizeof(s->bss->dummy_data) == 8, "unexpected size of 'dummy_data'");
	_Static_assert(sizeof(s->bss->dummy_cgrp) == 8, "unexpected size of 'dummy_cgrp'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPTR_FAILURE_SKEL_H__ */
